##
## autogenerated ChangeLog -- don't edit
##

2011-03-17 Thursday 23:53  Rocky Bernstein <rocky@gnu.org>

	* docs/doxygen/Doxyfile.in: Regenrate for current conventions.

2011-03-17 Thursday 23:47  Rocky Bernstein <rocky@gnu.org>

	* NEWS: What's changed.

2011-03-17 Thursday 23:43  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, cvs2cl_usermap: Get ready for release.
	  configure.ac: remove the warnings with the "expirimental
	  vcdimager version 0.7 series - the project's almost dead!
	  cvs2cl_usermap: update my email address.

2011-03-17 Thursday 21:51  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Ading `AC_CONFIG_MACRO_DIR([m4])' to configure.ac
	  considered, and rejected.

2011-03-17 Thursday 21:26  Rocky Bernstein <rocky@gnu.org>

	* autogen.sh, configure.ac, frontends/cli/vcd-info.c,
	  frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_rip.c,
	  lib/sector.c, lib/vcd.c: Guard against various stncat buffer
	  overflows. Thanks to Juergen Weigert.  Correct copyright and GPL
	  version indication on some Reed-Solomon encoding code.

2011-03-17 Thursday 11:42  Rocky Bernstein <rocky@gnu.org>

	* lib/sector.c: Update copyright information. This file is GPL v2
	  not v2+.

2006-03-08 Wednesday 00:19  Rocky Bernstein <rocky@gnu.org>

	* NEWS, configure.ac, frontends/cli/vcd-info.c,
	  frontends/xml/vcd_xml_rip.c, lib/image_nrg.c, test/testimage.c:
	  cdio_stat_size -> cdio_get_disc_last_lsn

2006-02-07 Tuesday 02:57  Rocky Bernstein <rocky@gnu.org>

	* docs/: cvd-subtitles.pod, svcd-ogt-subtitles.pod: Get Julio's
	  name right.  Some minor editing.

2006-01-06 Friday 22:29  Rocky Bernstein <rocky@gnu.org>

	* lib/info_private.c: Patch from Sergey Svishchev which fixes an
	  infinite loop an memory exhaustion for VCD 2.0 discs. See SR
	  105012
	  https://savannah.gnu.org/support/?func=detailitem&item_id=105012

2005-08-03 Wednesday 08:25  Rocky Bernstein <rocky@gnu.org>

	* lib/vcd_read.c: Reduce level of severity on read_info from error
	  to warn so caller can catch and decide what to do.

	  Make test/vcdtest.c fail more gracefully when say a DVD (and not
	  a VCD) is loaded.

2005-08-03 Wednesday 08:16  Rocky Bernstein <rocky@gnu.org>

	* docs/vcdimager.texi: Small elaborations to info doc.

2005-08-03 Wednesday 08:15  Rocky Bernstein <rocky@gnu.org>

	* include/libvcd/info.h, lib/info.c: Add
	  vcdinfo_get_track_last_lsn() which is like
	  cdinfo_get_track_last_lsn() but adjusts for 0-origin or non-MPEG
	  ISO 9660 track.

2005-07-21 Thursday 02:55  Rocky Bernstein <rocky@gnu.org>

	* how-to-make-a-release.txt: Yet another step.

2005-07-20 Wednesday 10:24  Rocky Bernstein <rocky@gnu.org>

	* how-to-make-a-release.txt: Document the tortured process to make
	  a release.

2005-07-17 Sunday 13:07  Rocky Bernstein <rocky@gnu.org>

	* example/info2.cpp: C++ version of info1.c

2005-07-16 Saturday 20:44  Rocky Bernstein <rocky@gnu.org>

	* include/libvcd/version.h.in: Small typo

2005-07-16 Saturday 16:50  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, docs/Makefile.am, example/Makefile.am,
	  include/libvcd/inf.h, include/libvcd/info.h,
	  include/libvcd/logging.h, include/libvcd/sector.h,
	  include/libvcd/types.h, lib/info.c: include/libvcd/inf*.h:
	  Changes to allow C++ compilations. Add more doxygen comments.

	  lib/info.c: prototype change to tighten up types (desired by C++)

	  example/*: Add C++ use of libvcdinfo

	  configure.ac: Now in 0.7.24cvs

2005-07-11 Monday 12:43  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: One more variable needs adjusting.

2005-07-11 Monday 12:41  Rocky Bernstein <rocky@gnu.org>

	* NEWS, configure.ac: Get ready for 0.7.23 release

2005-07-10 Sunday 12:20  Rocky Bernstein <rocky@gnu.org>

	* lib/Makefile.am: We've added a new routine
	  vcdinfo_get_area_selection() and vcdinfo_get_set_resolution()

	  By 3: (1,1,1)->(1,2,1) By 4: (1,2,1)->(2,0,1) By 5:
	  (2,0,1)->(2,0,2)

2005-07-10 Sunday 12:12  Rocky Bernstein <rocky@gnu.org>

	* lib/vcd.c: Remove some gcc 4 warnings of potential uninitialized
	  variables.  add p_ prefixes in front of pointer variables.

2005-07-07 Thursday 07:03  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_dump.c, NEWS: Remove gcc 4 warnings

2005-06-25 Saturday 23:35  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_parse.c: Remove format warnings on windows.

2005-06-25 Saturday 23:33  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: Remove format warning on win32.

2005-06-25 Saturday 10:46  Rocky Bernstein <rocky@gnu.org>

	* NEWS, lib/Makefile.am: Patch to make --disable-static
	  --enable-shared work with --versioned-libs

2005-06-20 Monday 00:49  Rocky Bernstein <rocky@gnu.org>

	* include/libvcd/info.h, lib/info.c: Add
	  vcdinfo_get_seg_resolution(): to get x-y resolution for a given
	  segment.  It is useful for example in media-player hot-spot
	  processing.

2005-06-19 Sunday 03:46  Rocky Bernstein <rocky@gnu.org>

	* NEWS, include/libvcd/info.h, lib/info.c: Need to add max_x, max_y
	  to vcdinfo_get_area. Add hvr's comments about (0,0)-(255,255)
	  coordinate system.

2005-06-18 Saturday 04:11  Rocky Bernstein <rocky@gnu.org>

	* docs/vcdimager.texi: XML didn't seem to mention area coordinates.
	  Make more explicit in documentation hvr's latest clarification
	  of the area coordinate system.

2005-06-18 Saturday 03:27  Rocky Bernstein <rocky@gnu.org>

	* NEWS, lib/files.c, lib/pbc.c, lib/pbc.h: Small stylistic changes.

2005-06-18 Saturday 03:27  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_parse.c: Check that selection area hot-spot
	  values don't exceed 255. Some small stylistic changes.

2005-06-14 Tuesday 16:25  Rocky Bernstein <rocky@gnu.org>

	* NEWS, include/libvcd/info.h, lib/info.c: Add libvcdinfo
	  vcdinfo_get_area_selection() a routine get the selection number
	  represented by an area for a specified a point location.

2005-06-14 Tuesday 16:19  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Make option processing and variable
	  names more like vcd-info. Perhaps some slight code cleanups.

2005-06-10 Friday 12:04  Rocky Bernstein <rocky@gnu.org>

	* test/testvcd.c: Remove small valgrind-caught memory leak.

2005-06-09 Thursday 07:54  Rocky Bernstein <rocky@gnu.org>

	* lib/: vcd.c, vcd_read.c: vcd_read.c: strlen and strncmp turned
	  into memcmp and sizeof for better error tolerance.  *.c: some
	  obj->p_obj. Use some ISO9660 #defines for various sizes.

2005-06-09 Thursday 00:53  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcdimager.c, frontends/xml/vcd_xml_build.c,
	  frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_master.h,
	  lib/image.c, lib/image_bincue.c, lib/image_cdrdao.c,
	  lib/image_nrg.c, lib/image_sink.h, lib/obj.h, lib/vcd.c,
	  lib/vcd.h: VcdImageSink -> VcdImageSink_t and add p_ prefix
	  various places.  Some copyright dates updated.

2005-06-08 Wednesday 07:24  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcdimager.c, frontends/xml/vcd_xml_master.c,
	  include/libvcd/info.h: VcdDataSource -> VcdDataSource_t

2005-06-07 Tuesday 23:29  Rocky Bernstein <rocky@gnu.org>

	* lib/: mpeg_stream.c, mpeg_stream.h, obj.h, stream.c, stream.h,
	  stream_stdio.c, stream_stdio.h, vcd.c, vcd.h: VcdDataSource ->
	  VcdDataSource_t vcd.c: Calculate strncat size a little better

2005-06-07 Tuesday 11:49  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: Used wrong limit. Thanks to SuSE folks Marcus
	  Meissner via Stanislav Brabec.

2005-05-16 Monday 10:38  Rocky Bernstein <rocky@gnu.org>

	* docs/glossary.texi: Add definition for Entry Point.

2005-05-16 Monday 03:44  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, docs/doxygen/.cvsignore, docs/doxygen/Doxyfile.in,
	  docs/doxygen/run_doxygen, include/libvcd/inf.h,
	  include/libvcd/info.h: Create doxygen documentation.	*.h: fix
	  doxygen complaints.

2005-05-16 Monday 03:19  Rocky Bernstein <rocky@gnu.org>

	* test/testvcd.c: Small bug in setting return code when vcd-info
	  fails but vcdxrip doesn't.

2005-05-16 Monday 03:13  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, test/Makefile.am, test/testvcd.c: configure: In
	  0.7.23cvs now.  Add a test vcd-info and vcdxrip using a real CD.

2005-05-14 Saturday 21:12  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Forgot one more thing. Add some release dates back.

2005-05-14 Saturday 03:18  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Get ready for 0.7.22 release.

2005-05-10 Tuesday 00:23  Rocky Bernstein <rocky@gnu.org>

	* lib/files.c: strncmp -> memcmp strcpy -> memcpy where appropriate

2005-05-08 Sunday 13:05  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcdxml.h: GCC 2.95 decl before statement thing.

2005-05-08 Sunday 12:48  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: gcc < 3.0 compilation fix.

2005-05-08 Sunday 09:04  Rocky Bernstein <rocky@gnu.org>

	* test/mpegscan.c: Remove cygwin warning. Some variable renamings.

2005-05-08 Sunday 08:42  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, frontends/cli/vcd-info.c,
	  include/libvcd/files_private.h, lib/files.c:
	  file_private.h/files.c: OSX link problem with const arrays -
	  remove configure.ac libcdio 0.72 works (had been removed due to
	  lack of testing) vcd-info.c: error message typo.

2005-05-08 Sunday 04:01  Rocky Bernstein <rocky@gnu.org>

	* NEWS: What's up.

2005-05-08 Sunday 03:48  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, frontends/cli/vcdimager.c,
	  frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_minfo.c,
	  include/libvcd/files.h, include/libvcd/types.h, lib/Makefile.am,
	  lib/dict.h, lib/files.c, lib/mpeg_stream.c, lib/mpeg_stream.h,
	  lib/obj.h, lib/pbc.c, lib/pbc.h, lib/vcd.c, lib/vcd.h,
	  test/mpegscan.c, test/mpegscan2.c: More type _t prefixes added.
	  Some valgrind memory errors/leaks reduced.

2005-05-07 Saturday 19:53  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_dump.c,
	  frontends/xml/vcd_xml_dump.h, frontends/xml/vcd_xml_gen.c,
	  frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_master.h,
	  frontends/xml/vcd_xml_parse.c, frontends/xml/vcd_xml_parse.h,
	  frontends/xml/vcd_xml_rip.c, frontends/xml/vcdxml.h,
	  lib/mpeg_stream.c, lib/stream.c, lib/stream.h, lib/vcd.c: Work on
	  reducing memory leaks. Addition and use of some _t types.  Some
	  small stylistic changes.

2005-05-07 Saturday 11:23  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c: Small formatting changes.

2005-05-07 Saturday 11:15  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c: remove another memory leak.

2005-05-07 Saturday 11:04  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c, frontends/xml/vcd_xml_rip.c,
	  include/libvcd/files_private.h, lib/files.c, lib/info.c,
	  lib/pbc.c, test/check_bitfield.c, test/check_sizeof.c: Add _t
	  suffix to types in include/libvcd/file_private.h lib/info.c: also
	  remove some valgrind-caught memory leaks or error opens

2005-05-07 Saturday 01:12  Rocky Bernstein <rocky@gnu.org>

	* lib/files.c: Think this length-getting way is just a little
	  better (although both do the same thing).

2005-05-07 Saturday 01:07  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c: vcd-info *filename* does does the same
	  thing as vcd-info -i *filename*

2005-05-07 Saturday 01:06  Rocky Bernstein <rocky@gnu.org>

	* lib/files.c, include/libvcd/files_private.h: files.c: in
	  strncpy's were were copying the terminating NULL byte of constant
	  strings into an area that didn't have this and thus writing
	  outside of the given field (and clobbering a version number).

	  Thanks to Stanislav Brabec for pointing out the error.

	  file_private.h: revise a little using sizeof() add some doxygen
	  comments and add some small comment changes.

2005-04-30 Saturday 02:01  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Not sure how this compile errors got
	  in - now fixed anyway.

2005-04-29 Friday 22:56  Rocky Bernstein <rocky@gnu.org>

	* lib/: pbc.c, pbc.h: Fill in missing pbc_destroy.

2005-04-29 Friday 22:55  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/: vcd_xml_dump.c, vcd_xml_rip.c, vcdxml.h:
	  Significantly reduce memory leaks. What remains seems to be
	  allocated from libxml2. (It's possible we're still doing
	  something wrong in how we call this.)

2005-04-29 Friday 10:10  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Patch add option "notrack" to
	  vcdxrip to skip ripping of a specific track

	  From tong in
	  https://savannah.gnu.org/patch/?func=detailitem&item_id=3765

	  I've experienced many VCDs that have L-EC errors when imaging
	  using cdrdao. e.g.,

	  Copying data track 1 (MODE2_RAW): start 00:00:00, length 01:14:00
	  to "bad-track.bin"...  WARNING: Found L-EC error at sector 2231 -
	  ignored.  [...]

	  This L-EC error will cause my cdrdao to run much longer. The
	  execution time will normally be prolonged to 12~30minutes,
	  comparing to normal less than 3min execution time. One CD took
	  (horrifily) 15 hours to image.

2005-04-29 Friday 03:53  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c: Remove valgrind-caught memory leaks.

2005-04-29 Friday 03:42  Rocky Bernstein <rocky@gnu.org>

	* example/info1.c, include/libvcd/info.h, lib/info.c: info1.c:
	  remove valgrind caught memory leaks.	info*.{c,h} remove const's
	  on return types as this is what we get from libcdio (now).

2005-04-28 Thursday 10:32  Rocky Bernstein <rocky@gnu.org>

	* include/libvcd/info.h: Follow vlc variable name conventions
	  (p_..., i_..) Turn some comments into Doxygen.

2005-04-28 Thursday 10:19  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, example/.cvsignore,
	  example/Makefile.am, example/info1.c, lib/info.c,
	  lib/info_private.h, lib/vcd_read.h: Add example directory and
	  example program of using libvcdinfo vcd_read.h: CdIo -> CdIo_t

2005-04-09 Saturday 23:17  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: More valgrind-caught memory leaks.

2005-04-09 Saturday 19:02  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: Remove a valgrind-caught error: Source and
	  destination overlap in strncpy

2005-04-08 Friday 02:00  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c, frontends/xml/vcd_xml_rip.c,
	  lib/info.c: CdIo -> CdIo_t

2005-02-23 Wednesday 12:41  Rocky Bernstein <rocky@gnu.org>

	* docs/svcd-ogt-subtitles.pod: Small typo.

2005-02-23 Wednesday 12:41  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Change to facilitate getting bit ordering when
	  cross-compiling. Patch from Frantisek Dvorak.

2005-02-13 Sunday 19:59  Rocky Bernstein <rocky@gnu.org>

	* docs/vcd-info.texi: Small changes.

2005-02-13 Sunday 19:41  Rocky Bernstein <rocky@gnu.org>

	* docs/: cvd-subtitles.pod, svcd-ogt-subtitles.pod: Fix up URL
	  links and correct CVD title.

2005-02-13 Sunday 19:06  Rocky Bernstein <rocky@gnu.org>

	* include/libvcd/info.h, lib/info.c: Remove a msf/lba conversion
	  routine that's in libcdio. More small variable renamings.

2005-02-13 Sunday 18:56  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: More small variable-name changes.

2005-02-13 Sunday 17:19  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: As Herbert Valerio Riedel correctly points out   free
	  is a no-op on a NULL address	 Bug in vcdinfo_get_track_size() -
	  fixed

	  obj->p_obj

2005-02-13 Sunday 16:47  Rocky Bernstein <rocky@gnu.org>

	* docs/: Makefile.am, cvd-subtitles.pod, cvd-subtitles.txt: Turn
	  CVD into perlpod and allow txt/html from that.

2005-02-13 Sunday 16:35  Rocky Bernstein <rocky@gnu.org>

	* docs/: Makefile.am, svcd-ogt-subtitles.pod,
	  svcd-ogt-subtitles.txt: Turn OGT info into perlpod documentation
	  and derive HTML and TXT from that.

2005-02-11 Friday 09:28  Rocky Bernstein <rocky@gnu.org>

	* docs/: vcd-info.texi, vcdxrip.texi: More small documentation
	  update. Note cdrdao, libcdio, spelling corrections.

2005-02-11 Friday 08:21  Rocky Bernstein <rocky@gnu.org>

	* autogen.sh: Wrong directory - is docs, not doc. Thanks yet again
	  to Steve Schultz.

2005-02-09 Wednesday 11:29  Rocky Bernstein <rocky@gnu.org>

	* docs/vcd-info.texi: Note --toc for cdrdao. More formatting
	  changes.

2005-02-09 Wednesday 11:09  Rocky Bernstein <rocky@gnu.org>

	* docs/vcd-info.texi: Another small change.

2005-02-09 Wednesday 11:06  Rocky Bernstein <rocky@gnu.org>

	* docs/vcd-info.texi: Some small changes.

2005-02-09 Wednesday 10:00  Rocky Bernstein <rocky@gnu.org>

	* lib/data_structures.c, lib/data_structures.h, lib/directory.c,
	  lib/directory.h, lib/obj.h, test/vcd20_nrg3.right: Suffix _t to
	  end of types prefix pointers with p_ or pp_.

2005-02-09 Wednesday 10:00  Rocky Bernstein <rocky@gnu.org>

	* docs/: version-vcd-info.texi, version-vcdxrip.texi: Remove these
	  derived files again. They're now generated in autogen.sh

2005-02-09 Wednesday 09:20  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: We're in 0.7.22cvs territory now.

2005-02-09 Wednesday 08:50  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_common.c: A slightly more detailed error
	  message.

2005-02-06 Sunday 13:42  Rocky Bernstein <rocky@gnu.org>

	* autogen.sh, docs/.cvsignore, docs/version.texi: Remove
	  version.texi yet again. I think autogen.sh is now set up to cause
	  this to get recreated.

2005-02-03 Thursday 07:22  Rocky Bernstein <rocky@gnu.org>

	* docs/: .cvsignore, version-vcd-info.texi, version-vcdxrip.texi:
	  Even though this file is automatically generated, CVS for the
	  automake project seems to have this checked into CVS presumably
	  to handle the problem of a missing version.texi for on initial
	  checkout/bootstrap.

	  Seems odd, but I'm assuming automake developers know what they
	  are doing.

	  (On the other hand, given the quantity of hassles using automake,
	  I could be very very wrong.)

2005-02-02 Wednesday 00:37  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, docs/version.texi, frontends/cli/cdxa2mpeg.c,
	  frontends/cli/vcd-info.c, frontends/cli/vcdimager.c,
	  frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_dump.c,
	  frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_master.c,
	  frontends/xml/vcd_xml_parse.c, frontends/xml/vcd_xml_rip.c,
	  frontends/xml/vcdxml.h, lib/data_structures.c,
	  lib/data_structures.h, lib/dict.h, lib/directory.c, lib/files.c,
	  lib/image.c, lib/image_bincue.c, lib/image_cdrdao.c,
	  lib/image_nrg.c, lib/info.c, lib/info_private.c, lib/mpeg.c,
	  lib/mpeg_stream.c, lib/obj.h, lib/pbc.c, lib/pbc.h, lib/salloc.c,
	  lib/stream.c, lib/stream_stdio.c, lib/util.c, lib/util.h,
	  lib/vcd.c, lib/vcd_read.c, test/mpegscan.c, test/testimage.c:
	  Change an uint32_t to an lsn_t, Add _t to various types. Use cdio
	  routines from util.h and remove the local copy. Update copyright.

2004-12-22 Wednesday 03:49  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: Typo in vcdinfo_get_seg_lba which causes an infinite
	  loop. Looks like no-one has used this routine one before.

2004-12-08 Wednesday 00:02  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Release time.

2004-12-03 Friday 03:09  Rocky Bernstein <rocky@gnu.org>

	* lib/Makefile.am: From Nicolas Boullis:

	  Using the rules given in vcdimagers lib/Makefile.am, we get:
	  (0,1,0) -rule3-> (0,2,0) -rule4-> (1,0,0) -rule5-> (1,0,1) (rule
	  6 does not apply if no interface was changed/removed)

2004-12-02 Thursday 01:27  Rocky Bernstein <rocky@gnu.org>

	* lib/Makefile.am: Ooops, API interfaces have been added, so
	  increment CURRENT and set REVISION to 0.

2004-12-02 Thursday 00:33  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_common.c:
	  http://xmlsoft.org/html/libxml-encoding.html#xmlCharEncodingOutputFunc
	  has this to say about the the xmlCharEncodingOutputFunc return
	  value:

	    the number of bytes written, -1 if lack of space, or -2 if the
	    transcoding failed. The value of @inlen after return is the
	  number
	    of octets consumed if the return value is positive, else
	    unpredictiable. The value of @outlen after return is the number
	  of
	    octets produced.

	  Previously I guess 0 was returned (or I always used in an
	  environment were that was so.

2004-12-01 Wednesday 13:10  Rocky Bernstein <rocky@gnu.org>

	* lib/Makefile.am: Bump revision in preparation for the next
	  release.

2004-12-01 Wednesday 13:04  Rocky Bernstein <rocky@gnu.org>

	* frontends/: cli/vcd-info.c, xml/vcd_xml_rip.c: Add some casts to
	  quell a type-mismatch warning.

2004-12-01 Wednesday 12:52  Rocky Bernstein <rocky@gnu.org>

	* lib/Makefile.am: Remove files from distribution that now are part
	  of libcdio (and will later probably come from glib).

2004-11-21 Sunday 04:04  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Reorder items a little.

2004-11-21 Sunday 04:02  Rocky Bernstein <rocky@gnu.org>

	* test/Makefile.am: Solaris create core files not core.$$. Change
	  to make "make distcheck" work on Solaris.

2004-11-19 Friday 02:15  Rocky Bernstein <rocky@gnu.org>

	* docs/version.texi, frontends/cli/vcd-info.c,
	  frontends/xml/vcd_xml_rip.c, lib/files.c, lib/inf.c, lib/info.c:
	  lib/*: to_bcd8, from_bcd8 -> cdio_to_bcd8, cdio_from_bcdi.
	  vcd_xml_rip.c, vcd-info.c: add a "--toc-file" option.

2004-11-15 Monday 04:03  Rocky Bernstein <rocky@gnu.org>

	* test/Makefile.am: See previous commit message.

2004-11-15 Monday 04:01  Rocky Bernstein <rocky@gnu.org>

	* test/Makefile.am: Not sure why, but mpegscan, mpegscan2 and
	  testassert now seem to need libiso9660 flags. Something may be
	  wrong...

2004-11-12 Friday 03:51  Rocky Bernstein <rocky@gnu.org>

	* lib/Makefile.am: Guidance on library versioning from Nicholas
	  Boullis.

2004-10-25 Monday 01:44  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/cdxa2mpeg.c, frontends/cli/vcd-info.c,
	  frontends/cli/vcdimager.c, frontends/xml/vcd_xml_master.c,
	  frontends/xml/vcd_xml_rip.c, include/libvcd/info.h,
	  lib/bytesex.h, lib/bytesex_asm.h, lib/directory.c, lib/files.c,
	  lib/image_bincue.c, lib/image_cdrdao.c, lib/image_nrg.c,
	  lib/inf.c, lib/info.c, lib/info_private.c, lib/mpeg_stream.c,
	  lib/pbc.c, lib/sector.c, lib/util.c, test/check_vcdimager_fn,
	  test/check_vcdxbuild_fn, test/mpegscan2.c: Changes in libcdio API
	  hopefully to make things cleaner.  bytesex*: now use libcdio
	  routines rather than duplicate them here.  test/check_vcd*_fn:
	  show command string that failed; helps debugging.

2004-10-22 Friday 00:09  Rocky Bernstein <rocky@gnu.org>

	* lib/bytesex.h: Not sure why logging was included. Remove it.

2004-10-10 Sunday 20:22  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Now need libcdio 0.71 or greater.

2004-10-10 Sunday 20:20  Rocky Bernstein <rocky@gnu.org>

	* NEWS, docs/version.texi, frontends/cli/vcd-info.c,
	  frontends/cli/vcdimager.c, frontends/xml/vcd_xml_build.c,
	  frontends/xml/vcd_xml_dump.c, frontends/xml/vcd_xml_gen.c,
	  frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_minfo.c,
	  frontends/xml/vcd_xml_parse.c, frontends/xml/vcd_xml_rip.c,
	  frontends/xml/vcdxml.h, include/libvcd/info.h,
	  lib/data_structures.c, lib/data_structures.h, lib/dict.h,
	  lib/files.c, lib/image.c, lib/image_bincue.c, lib/image_cdrdao.c,
	  lib/image_nrg.c, lib/image_sink.h, lib/info.c,
	  lib/info_private.c, lib/info_private.h, lib/mpeg.h,
	  lib/mpeg_stream.c, lib/obj.h, lib/pbc.c, lib/pbc.h, lib/vcd.c,
	  test/mpegscan.c: use generic list things from libcdio. Eventually
	  everything will use glib. But this moves in the right direction
	  by consolidating code a little.

2004-09-11 Saturday 13:37  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: Switch to using cdio_get_devices_with_cap_ret.

2004-09-05 Sunday 04:44  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Works on Darwin 6 and Darwin 7.

2004-08-15 Sunday 13:32  Rocky Bernstein <rocky@gnu.org>

	* docs/vcd-info.texi: Clarify application id.

2004-08-15 Sunday 13:31  Rocky Bernstein <rocky@gnu.org>

	* docs/vcdimager.texi: Small PVD info change.

2004-08-15 Sunday 12:16  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/Makefile.am: Patch from Steven M. Schultz:

	   Tinkering around on a Fedora Core3-Test1 system tonight I ran
	  into
	   gotcha with the frontend/xml of vcdimager (not sure why it
	  hasn't
	   come up before).

	   Basically XML_CFLAGS is mentioned twice but XML_CPPFLAGS is not
	  used
	   at all and it appears that libxml2 2.6.11 puts the necessary -I
	  flag
	   in XML_CPPFLAGS.

2004-07-01 Thursday 19:52  Rocky Bernstein <rocky@gnu.org>

	* vcdimager.spec.in: Gabriel L. Somlo says there's a problem when
	  building not as root.  Manfred Tremmel says it's okay to remove
	  this.

2004-06-19 Saturday 02:28  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c, include/libvcd/inf.h,
	  include/libvcd/info.h, lib/inf.c, lib/info.c: Use libcdio
	  read_mode2_pvd.

2004-06-11 Friday 10:34  Rocky Bernstein <rocky@gnu.org>

	* lib/: image_nrg.c, info.c, pbc.c: Turn some magic numbers into
	  defined constants.  info.c: this is where some of these got moved
	  from.

2004-06-11 Friday 10:32  Rocky Bernstein <rocky@gnu.org>

	* include/libvcd/info.h: Add constants for encoded track and
	  segment number boundarys.  Doc some lengths.

2004-06-11 Friday 10:06  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c: It's now vcd-info not vcdinfo.

2004-06-11 Friday 03:06  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c: One more place cdio_msf_to_str should
	  be used.

2004-06-11 Friday 03:01  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c, lib/image_bincue.c, lib/image_cdrdao.c:
	  Use cdio_msf_to_str were appropriate.  image_bincue.c: also use
	  CDIO_CD_MAX_TRACKS.

2004-06-11 Friday 02:22  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: It is a tad nicer to switch off
	  --without-versioned-libs when GNU ld isn't around rather than
	  give and error and halt.

2004-06-01 Tuesday 23:30  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c, test/svcd1_nrg.right,
	  test/svcd1_test0.right, test/svcd1_test1.right,
	  test/svcd1_test2.right, test/vcd20_nrg3.right: Output from
	  vcd-info made just a tad easier to understand.

2004-05-11 Tuesday 02:59  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, lib/image.c, lib/image_bincue.c,
	  lib/image_cdrdao.c, lib/image_nrg.c: image*.c: had uint32_t's
	  where lsn_t's should have been used.	configure.ac: major change
	  has gone in libcdio. Make sure we get it.

2004-05-05 Wednesday 01:52  Rocky Bernstein <rocky@gnu.org>

	* include/libvcd/logging.h: Doc elaboration on vcd_error.

2004-03-31 Wednesday 10:18  Rocky Bernstein <rocky@gnu.org>

	* include/libvcd/info.h: Include version.h so applications can test
	  for the version number.

2004-03-28 Sunday 07:59  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, include/libvcd/version.h.in: Add preprocessor
	  symbol for the release number. This can be used in C programs.

2004-03-28 Sunday 07:38  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c, frontends/cli/vcd_debug.c,
	  frontends/xml/vcd_xml_rip.c, include/libvcd/files_private.h,
	  include/libvcd/inf.h, include/libvcd/info.h,
	  include/libvcd/types.h, lib/files.c, lib/inf.c, lib/info.c,
	  lib/info_private.c, lib/info_private.h, lib/pbc.c,
	  lib/vcd_read.c, lib/vcd_read.h, test/check_sizeof.c: Fix up
	  multi-default selection. Add routine to give starting entry
	  number for a given track.

	  More typedefs end _t.

2004-03-26 Friday 04:04  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c, lib/info.c, test/svcd1_test1.right,
	  test/vcd20_test1.right: Off-by one bug in vcd-info in showing
	  SEQUENCE numbers of LIDs.  (Just goes to show how carefully folks
	  read the stuff that vcd-info reports.)

2004-03-20 Saturday 05:33  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Check for GNU ld if --with-versioned-libs.

2004-03-18 Thursday 03:16  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: When we ask for a selection offset, make sure we have
	  some sort of selection list.

2004-03-11 Thursday 06:56  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, frontends/xml/vcd_xml_gen.c,
	  frontends/xml/vcd_xml_rip.c: Changes to make cygwin -mno-cygwin
	  (without POSIX emulation) work.

2004-03-11 Thursday 01:52  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Make -mno-cygwin work on cygwin.

2004-03-11 Thursday 01:51  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/cdxa2mpeg.c: Make cygwin -mno-cygwin work.

2004-03-07 Sunday 11:36  Rocky Bernstein <rocky@gnu.org>

	* libvcdinfo.pc.in: libvcdinfo needs libiso9660

2004-03-06 Saturday 11:26  Rocky Bernstein <rocky@gnu.org>

	* lib/vcd.c: printf lint (for cygwin)

2004-03-02 Tuesday 00:53  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, lib/Makefile.am: Add --without-versioned-libs
	  option.

2004-03-02 Tuesday 00:44  Rocky Bernstein <rocky@gnu.org>

	* .cvsignore, configure.ac, libvcd.pc.in, docs/glossary.texi,
	  docs/vcd-info.texi, docs/version.texi: docs/*: update
	  documentation.  libvcd.pc.in: we don't export libvcd any more. So
	  no pkg-config either.

2004-03-01 Monday 10:37  Rocky Bernstein <rocky@gnu.org>

	* libvcdinfo.pc.in: We no longer require libvcd. Thanks to Goetz
	  Waschk.

2004-02-28 Saturday 22:43  Rocky Bernstein <rocky@gnu.org>

	* docs/glossary.texi: More or expanded terms.

2004-02-25 Wednesday 01:54  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Note that we need libpopt 1.7 or greater. We're now
	  in 0.7.21cvs territory.

2004-02-25 Wednesday 01:52  Rocky Bernstein <rocky@gnu.org>

	* libpopt.m4: Test that libpopt is new enough to allow optional
	  arguments.

2004-02-23 Monday 23:20  Nicolas Boullis <nboullis@debian.org>

	* debian/control: Add the previously forgotten build-dependency on
	  pkg-config.

2004-02-21 Saturday 17:38  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c: Another valgrind memory leak.

2004-02-21 Saturday 17:16  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: Another memory leak found by valgrind.

2004-02-20 Friday 19:06  Rocky Bernstein <rocky@gnu.org>

	* vcdimager.spec.in: vcd-info German description (from Manfred
	  Tremmel).

2004-02-20 Friday 12:11  Rocky Bernstein <rocky@gnu.org>

	* vcdimager.spec.in: Update info about vcd-info.

2004-02-20 Friday 06:15  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am, debian/changelog: fixup debian packaging for
	  release; *** release 0.7.20 ***

2004-02-19 Thursday 10:15  Herbert Valerio Riedel <hvr@gnu.org>

	* HACKING, Makefile.am, autogen.sh, configure.ac: use installed
	  cvs2cl script instead of cvs-contained one

2004-02-19 Thursday 06:20  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS: fixup layout; prepare for 0.7.20 release

2004-02-18 Wednesday 17:27  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am: add pre-cvs2cl-ChangeLog files to EXTRA_DIST

2004-02-18 Wednesday 17:21  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am: made ChangeLog a phony target when in maintainer
	  mode

2004-02-18 Wednesday 17:17  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.ac: uncomment AC_CANONICAL_HOST as its required for the
	  HOST_ARCH #define

2004-02-18 Wednesday 01:37  Nicolas Boullis <nboullis@debian.org>

	* debian/: changelog, control, rules: Get mostly ready for 0.7.20.
	  Only debian/changelog should still need to be changed when 0.7.20
	  is ready/out.

2004-02-15 Sunday 18:05  Rocky Bernstein <rocky@gnu.org>

	* vcdimager.spec.in: Corrections from Manfred Tremmel. Many thanks!

2004-02-14 Saturday 17:34  Rocky Bernstein <rocky@gnu.org>

	* NEWS: What's up.

2004-02-14 Saturday 17:30  Rocky Bernstein <rocky@gnu.org>

	* docs/: vcd-info.texi, version.texi: Like now.

2004-02-14 Saturday 17:30  Rocky Bernstein <rocky@gnu.org>

	* vcdimager.spec.in: require libcdio 0.66

2004-02-14 Saturday 17:27  Rocky Bernstein <rocky@gnu.org>

	* lib/: sector.c, sector_private.h: Alleged GPL EDC CRC table.

2004-02-14 Saturday 17:01  Rocky Bernstein <rocky@gnu.org>

	* docs/vcdimager.texi: Go over.

	  Add vcd-info example. Note libvcd is private libvcdinfo public.
	  Move CD image format section to libcdio documentation.

	  Smally typos and URL correction.

2004-02-13 Friday 01:09  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Note library symbol versioning (from Nicolas Boullis)

2004-02-13 Friday 01:02  Nicolas Boullis <nboullis@debian.org>

	* debian/: changelog, control, info, libvcdinfo-dev.install,
	  libvcdinfo0.install, rules, vcdimager.install: Preliminary Debian
	  packaging for 0.7.20.

2004-02-13 Friday 00:56  Rocky Bernstein <rocky@gnu.org>

	* docs/: cvd-subtitles.txt, svcd-ogt-subtitles.txt: Call for help.

2004-02-13 Friday 00:52  Rocky Bernstein <rocky@gnu.org>

	* lib/: .cvsignore, Makefile.am: From Nicolas Boullis:

	    1) work around that vcd_loglevel_default problem,
	    2) add *.la.ver (for libvcdinfo.la.ver) to lib/.cvsignore,
	    3) remove libiso9660.la from MOSTLYCLEANFILES in
	  lib/Makefile.am.
	       (Why did I add this file to MOSTLYCLEANFILES?)

	  Now, some explanations:

	  Initially, libvcd was distributed as a shared library, and
	  everything was fine.

	  Then we changed it not to have libvcd as a shared library. Now,
	  both vcd-info and libvcdinfo.so are linked with libvcd. This
	  means that both have copies of the symbols from libvcd (including
	  vcd_loglevel_default).  At runtime, vcd-info and libvcdinfo.so
	  get linked, and the symbols from libvcd arrear twice in the
	  namespace. Especially, that means there are two
	  vcd_loglevel_default variables. By chance, the same one is used
	  everytime, so it works...

	  With my current versioning, all symbols in libvcdinfo.so are
	  versioned with VCDINFO_0, including those from libvcd (although
	  those are not exported). Then vcd-info uses the unversioned
	  vcd_loglevel_default (I can't tell why) while libvcdinfo.so uses
	  the VCDINFO_0 one. And that causes the current breakage.

	  With the new patch the symbols from libvcd that are in
	  libvcdinfo.so are unversioned, but they are exported. (I could
	  not find a way to declare them local without versioning them...)
	  That means we are now back to the previous behaviour where there
	  are two vcd_loglevel_default symbols at runtime, but it works...

	  Now, how to fix this properly?

	  I think a very good thing to do would be not to have variables at
	  all shared libraries, as I think it can always be made to fail
	  when the library is linked twice. Moreover, a shared should only
	  export its own symbols (not symbols from another library), and
	  only its own symbols should be used from outside...

2004-02-12 Thursday 01:57  Rocky Bernstein <rocky@gnu.org>

	* frontends/: cli/Makefile.am, xml/Makefile.am: (From Nicolas
	  Boullis): install manpages even when not in maintainer      mode
	  (and use a more traditional test to disable automatic
	  rebuilding of manapges when not in maintainer mode),

2004-02-12 Thursday 01:54  Rocky Bernstein <rocky@gnu.org>

	* lib/Makefile.am: vcdinfo library versioning from Nicolas Boullis.

2004-02-12 Thursday 01:54  Rocky Bernstein <rocky@gnu.org>

	* THANKS: Obvious.

2004-02-12 Thursday 01:48  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am: We no longer export libvcd.pc. Change made by
	  Nicolas Boullis.

2004-02-11 Wednesday 03:22  Rocky Bernstein <rocky@gnu.org>

	* lib/Makefile.am: From Nicolas Boullis: Don't install libvcd.

2004-02-09 Monday 10:35  Rocky Bernstein <rocky@gnu.org>

	* lib/Makefile.am: Attempt to clean up library versioning info.

	  Many thanks to Nicolas Boullis.

2004-02-08 Sunday 22:47  Nicolas Boullis <nboullis@debian.org>

	* debian/: changelog, control, rules: Sync the debian/ directory
	  with the latest package uploaded.

2004-02-08 Sunday 18:09  Rocky Bernstein <rocky@gnu.org>

	* lib/Makefile.am: add libvcd dependency for cygwin

2004-02-08 Sunday 17:57  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: Another valgrind-detected memory leak.

2004-02-08 Sunday 17:28  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Typo. I wonder what this broke?

2004-02-08 Sunday 15:39  Rocky Bernstein <rocky@gnu.org>

	* lib/Makefile.am: Update revision. Seem now to need to add libcdio
	  and libiso9660 (as well?).

2004-02-08 Sunday 06:00  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, include/libvcd/info.h: info.h: Remove some non-c99
	  warnings.

	  configure.ac: we're not picking up uint64_t for Solaris. This is
	  one way to address not sure if it is the best way. Not sure what
	  the change in definition is between 0.7.14 which works and this.

2004-02-08 Sunday 01:58  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: Fix memory leak (with the help of valgrind).

2004-02-07 Saturday 03:00  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/: cdxa2mpeg.c, vcd-info.c, vcdimager.c: Some of the
	  many valgrind problems seen.

2004-01-25 Sunday 22:05  Rocky Bernstein <rocky@gnu.org>

	* NEWS, frontends/cli/cdxa2mpeg.c: Give an error if input and
	  output files are the same.

	  Also remove extraneous "error: " on calls to vcd_error. vcd_error
	  adds its own designation.

2004-01-25 Sunday 14:29  Rocky Bernstein <rocky@gnu.org>

	* docs/: Makefile.am, cvd-subtitles.txt, glossary.texi,
	  svcd-ogt-subtitles.txt: Add more-detailed subtitle info. Expand
	  PSD and LID descriptions.

2004-01-24 Saturday 17:22  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: Another NULL check.

2004-01-15 Thursday 16:28  Rocky Bernstein <rocky@gnu.org>

	* autogen.sh: Create ChangeLog if it's not around.

2004-01-15 Thursday 16:27  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Give URL for libcdio if it's not found.

2004-01-15 Thursday 14:33  Herbert Valerio Riedel <hvr@gnu.org>

	* libpopt.m4: fixed underquoted definition warning

2004-01-15 Thursday 13:28  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Get ready for release.

2004-01-09 Friday 12:59  Rocky Bernstein <rocky@gnu.org>

	* lib/sector_private.h: Just some column alignment.

2004-01-09 Friday 12:36  Rocky Bernstein <rocky@gnu.org>

	* lib/: Makefile.am, l2sq_table.h, sector.c, sector_private.h:
	  Embed l2sq_table.h in sector_private.h.  Replace
	  encode_L2_P(inout) since that was rewritten in cdrtools as well.

	  Remove unused tables in sector_private.h

2004-01-09 Friday 02:11  Rocky Bernstein <rocky@gnu.org>

	* NEWS, lib/Makefile.am, lib/l2sq_table.h, lib/sector.c: Replace
	  unfree encode_L2_Q with GPL version from cdrtools 1.11a40

2004-01-07 Wednesday 05:45  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, docs/version.texi: Testing commit status.

2003-11-23 Sunday 02:46  Rocky Bernstein <rocky@gnu.org>

	* NEWS, docs/vcdimager.texi, docs/version.texi,
	  include/libvcd/info.h, lib/info.c: API completion: (libvcdinfo)
	  now has API for multi-default selections; APIs for mapping a
	  selection number to a LID or LID offset added.

2003-11-18 Tuesday 03:34  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/Makefile.am, frontends/xml/Makefile.am,
	  include/libvcd/info.h, lib/info.c, lib/info_private.c,
	  lib/info_private.h: Report success/failure status on traversing
	  LOTs.

2003-11-17 Monday 00:58  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: Redo the way we find segment LSNs to significantly
	  reduce the number of CD reads when we have continued segments, or
	  a large number of segments or a lots of files in the ISO-9660
	  track.

2003-11-16 Sunday 19:32  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, frontends/cli/vcd-info.c,
	  frontends/xml/vcd_xml_rip.c, lib/info.c: Changes in libcdio:
	  iso9600_stat now has filename inside it.  iso9660_fs_readdir now
	  returns a list of iso9660_stat_t's rather than filenames.

	  This is in preparation for greatly reducing the number of CD
	  reads when picking out segment lsn information.

2003-11-12 Wednesday 17:07  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Steve Schultz says we need this and he's an honest
	  guy...

2003-11-11 Tuesday 04:48  Rocky Bernstein <rocky@gnu.org>

	* lib/bytesex.h: Remove conversions used only by iso9660 - they're
	  in libcdio's version.

2003-11-10 Monday 15:34  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/.cvsignore: vcddebug is no more :-(

2003-11-10 Monday 15:33  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcddump.c: vcddump is now vcd-info

2003-11-10 Monday 11:57  Rocky Bernstein <rocky@gnu.org>

	* .cvsignore, Makefile.am, NEWS, autogen.sh, configure.ac,
	  libvcd.pc.in, libvcdinfo.pc.in, vcdimager.spec.in,
	  docs/.cvsignore, docs/Makefile.am, docs/glossary.texi,
	  docs/vcd-info.texi, docs/vcddump.texi, docs/vcdimager.texi,
	  docs/version.texi, frontends/cli/.cvsignore,
	  frontends/cli/Makefile.am, frontends/cli/cdxa2mpeg.c,
	  frontends/cli/vcd-info.c, frontends/cli/vcdimager.c,
	  frontends/xml/Makefile.am, frontends/xml/vcd_xml_build.c,
	  frontends/xml/vcd_xml_common.c, frontends/xml/vcd_xml_common.h,
	  frontends/xml/vcd_xml_dtd.c, frontends/xml/vcd_xml_dump.c,
	  frontends/xml/vcd_xml_dump.h, frontends/xml/vcd_xml_gen.c,
	  frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_master.h,
	  frontends/xml/vcd_xml_minfo.c, frontends/xml/vcd_xml_parse.c,
	  frontends/xml/vcd_xml_parse.h, frontends/xml/vcd_xml_rip.c,
	  frontends/xml/vcdxml.h, include/.cvsignore, include/Makefile.am,
	  include/libvcd/.cvsignore, include/libvcd/Makefile.am,
	  include/libvcd/files.h, include/libvcd/files_private.h,
	  include/libvcd/inf.h, include/libvcd/info.h,
	  include/libvcd/logging.h, include/libvcd/sector.h,
	  include/libvcd/types.h, include/libvcd/version.h.in,
	  lib/.cvsignore, lib/Makefile.am, lib/bitvec.h, lib/bytesex.h,
	  lib/bytesex_asm.h, lib/data_structures.c, lib/data_structures.h,
	  lib/dict.h, lib/directory.c, lib/directory.h, lib/files.c,
	  lib/image.c, lib/image_bincue.c, lib/image_cdrdao.c,
	  lib/image_nrg.c, lib/image_sink.h, lib/inf.c, lib/info.c,
	  lib/info_private.c, lib/info_private.h, lib/logging.c,
	  lib/mpeg.c, lib/mpeg.h, lib/mpeg_stream.c, lib/mpeg_stream.h,
	  lib/obj.h, lib/pbc.c, lib/pbc.h, lib/salloc.c, lib/salloc.h,
	  lib/sector.c, lib/sector_private.h, lib/stream.c, lib/stream.h,
	  lib/stream_stdio.c, lib/stream_stdio.h, lib/util.c, lib/util.h,
	  lib/vcd.c, lib/vcd.h, lib/vcd_assert.h, lib/vcd_read.c,
	  lib/vcd_read.h, test/.cvsignore, test/Makefile.am,
	  test/avseq00.m1p, test/check_bitfield.c, test/check_common_fn.in,
	  test/check_cue.xml, test/check_nrg.sh, test/check_nrg.xml,
	  test/check_nrg2.xml, test/check_sizeof.c, test/check_svcd1.sh,
	  test/check_svcd1.xml, test/check_vcd11.sh, test/check_vcd11.xml,
	  test/check_vcd20.sh, test/check_vcd20.xml,
	  test/check_vcdimager_fn, test/check_vcdinfo_fn,
	  test/check_vcdxbuild_fn, test/check_vcdxrip_fn,
	  test/item0000.m1p, test/mpegscan.c, test/mpegscan2.c,
	  test/svcd1_cue.xml-right, test/svcd1_nrg.right,
	  test/svcd1_nrg.xml-right, test/svcd1_test0.right,
	  test/svcd1_test1.right, test/svcd1_test1.xml-right,
	  test/svcd1_test2.right, test/testassert.c, test/testimage.c,
	  test/vcd11_test0.right, test/vcd11_test1.right,
	  test/vcd11_test1.xml-right, test/vcd11_test2.right,
	  test/vcd20_nrg.right, test/vcd20_nrg3.right,
	  test/vcd20_test0.right, test/vcd20_test1.right,
	  test/vcd20_test1.xml-right, test/vcd20_test2.right,
	  test/vcd20_test3.right, vcd_examples/.cvsignore,
	  vcd_examples/README, vcd_examples/demovcd-pal.cue,
	  vcd_examples/demovcd-pal.right, vcd_examples/iso2_vcd_pal.cue,
	  vcd_examples/monvoisin.right,
	  vcd_examples/svcd_ogt_test_ntsc.cue,
	  vcd_examples/svcd_ogt_test_ntsc.right,
	  vcd_examples/test_svcd_ntsc.cue,
	  vcd_examples/test_svcd_ntsc.right,
	  vcd_examples/test_svcd_pal.cue, vcd_examples/test_svcd_pal.right,
	  vcd_examples/testdump, vcd_examples/vcd_demo.cue,
	  vcd_examples/vcd_demo.right: Merge with cdio-branch

2003-11-10 Monday 01:38  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: Match XML tag name for multi-default.

2003-11-09 Sunday 15:56  Rocky Bernstein <rocky@gnu.org>

	* docs/vcd-info.texi: Change --verbose to --debug and document a
	  little more.

2003-11-09 Sunday 13:46  Rocky Bernstein <rocky@gnu.org>

	* include/libvcd/logging.h, lib/logging.c: Add vcd_loglevel_default
	  to control how much output to produce in default log handlers.

	  logging.h: add doxygen tagging.

2003-11-09 Sunday 13:44  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c: Rename --verbose option to --debug
	  which now takes an integer argument and is controls more output.
	  Sets whether to give warn/debug output from libcdio and libvcd.

2003-11-09 Sunday 13:42  Rocky Bernstein <rocky@gnu.org>

	* test/: check_nrg.sh, check_vcd20.sh, svcd1_nrg.right,
	  vcd20_nrg.right, vcd20_nrg3.right, vcd20_test2.right,
	  vcd20_test3.right: *.right: Some output had contained debug/info
	  output from libcdio. This was wrong.	*.sh add tests for renamed
	  option --debug (was --verbose)

2003-11-06 Thursday 03:21  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Bump version to basically a internal version.

2003-11-06 Thursday 03:20  Rocky Bernstein <rocky@gnu.org>

	* docs/vcd-info.texi: Document --no-psd-ext.

2003-11-06 Thursday 03:12  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c: Add --no-ext-psd option.

2003-11-06 Thursday 03:11  Rocky Bernstein <rocky@gnu.org>

	* lib/info_private.c: When PSD offset is out of range, show what
	  values we've got. Also remove comment about --no-ext-psd since
	  that may or may not be relevant here.

2003-10-19 Sunday 16:40  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/cdxa2mpeg.c, frontends/cli/vcd-info.c,
	  frontends/xml/vcd_xml_minfo.c, frontends/xml/vcd_xml_rip.c,
	  lib/info.c, lib/mpeg.c, test/mpegscan.c: Lint stuff. Mostly
	  removing compilation messages for uint32 vs %u in format strings.

2003-10-19 Sunday 16:35  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Reality: life goes on. Bump version.

2003-10-16 Thursday 03:18  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcdimager.c, frontends/xml/vcd_xml_build.c,
	  test/check_svcd1.sh, test/check_vcd11.sh, test/check_vcd20.sh,
	  test/check_vcdimager_fn, test/check_vcdxbuild_fn: Regression
	  testing was off if we ran using different time zones.  Put
	  special "TESTING" date into code.

2003-10-16 Thursday 03:00  Rocky Bernstein <rocky@gnu.org>

	* docs/vcd-info.texi: Small typos and elaborations.

2003-10-16 Thursday 01:27  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_common.c: Do nothing if we have a NULL
	  xmlCharEncodingInputFunc input or a NULL
	  xmlCharEncodingOutputFunc output.

2003-10-16 Thursday 00:48  Rocky Bernstein <rocky@gnu.org>

	* lib/Makefile.am: assert.h -> vcd_assert.h

2003-10-16 Thursday 00:47  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/cdxa2mpeg.c, frontends/cli/vcdimager.c,
	  frontends/xml/vcd_xml_common.c, frontends/xml/vcd_xml_dtd.c,
	  frontends/xml/vcdxml.h, lib/assert.h, lib/bitvec.h,
	  lib/data_structures.c, lib/dict.h, lib/directory.c, lib/files.c,
	  lib/image.c, lib/image_bincue.c, lib/image_cdrdao.c,
	  lib/image_nrg.c, lib/info.c, lib/info_private.c, lib/logging.c,
	  lib/mpeg_stream.c, lib/pbc.c, lib/salloc.c, lib/sector.c,
	  lib/stream.c, lib/util.c, lib/vcd_assert.h, lib/vcd_read.c,
	  test/testassert.c, test/testimage.c: assert.h -> vcd_assert.h.
	  Darwin confuses assert.h with the system assert.h

2003-10-16 Thursday 00:44  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Add Darwin Libraries.

2003-10-13 Monday 00:38  Nicolas Boullis <nboullis@debian.org>

	* debian/: changelog, control: Merge changes from the
	  debian_version_0_7_14 branch.

2003-10-13 Monday 00:09  Nicolas Boullis <nboullis@debian.org>

	* debian/changelog, debian/control, frontends/cli/cdxa2mpeg.c:
	  Merge changes from the debian_version_0_7_14 branch.

2003-10-12 Sunday 23:55  Nicolas Boullis <nboullis@debian.org>

	* debian/changelog: Update to debian version 0.7.14-3.

2003-10-09 Thursday 00:03  Nicolas Boullis <nboullis@debian.org>

	* debian/changelog: Fix my own e-mail address.

2003-10-08 Wednesday 23:48  Nicolas Boullis <nboullis@debian.org>

	* debian/changelog, debian/control, docs/vcdimager.texi,
	  frontends/cli/cdxa2mpeg.c: Merge with my current working tree.

2003-10-08 Wednesday 23:42  Nicolas Boullis <nboullis@debian.org>

	* docs/vcdimager.texi: Remove extraneous backquote.

2003-10-08 Wednesday 13:09  Rocky Bernstein <rocky@gnu.org>

	* docs/vcdimager.texi: Even more verbiage.

2003-10-08 Wednesday 12:03  Rocky Bernstein <rocky@gnu.org>

	* docs/: glossary.texi, vcdimager.texi: Some acronyms added.

2003-10-08 Wednesday 12:02  Rocky Bernstein <rocky@gnu.org>

	* docs/: vcdimager.texi, version.texi: Missing @end.

2003-10-08 Wednesday 11:57  Rocky Bernstein <rocky@gnu.org>

	* docs/vcdimager.texi: Expand cdxa2mpeg for Nicolaus Boullis.

2003-10-08 Wednesday 01:20  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/cdxa2mpeg.c: Replace magic numbers with constants
	  from libcdio/sector.h

2003-10-07 Tuesday 11:56  Rocky Bernstein <rocky@gnu.org>

	* docs/vcdimager.texi: Take 3 on cdxa2mpeg. Also add more xref's.

2003-10-07 Tuesday 03:59  Rocky Bernstein <rocky@gnu.org>

	* docs/vcdimager.texi: cdxa2mpeg take 2.

2003-10-06 Monday 05:56  Rocky Bernstein <rocky@gnu.org>

	* docs/vcdimager.texi: Expand information on cdxa2mpeg such as its
	  name and what to use to get around its limitations.

2003-10-06 Monday 04:56  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: Even more defensive programming.

2003-10-05 Sunday 23:20  Nicolas Boullis <nboullis@debian.org>

	* frontends/cli/cdxa2mpeg.c: cdxa2mpeg: add a few tests for read
	  errors and EOFs.

2003-10-04 Saturday 19:18  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Back to 2.52 for OSX folks.

2003-10-04 Saturday 13:28  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_gen.c: Correct help usage: show that you
	  need to specify tracks/mpegs.

2003-10-04 Saturday 13:22  Rocky Bernstein <rocky@gnu.org>

	* docs/vcdimager.texi: Minor editing and elaboration on the
	  differences, advantages/disadvantages between segments and
	  sequences.

2003-10-03 Friday 21:39  Rocky Bernstein <rocky@gnu.org>

	* vcdimager.spec.in: More stringent needs on libcdio.

2003-10-03 Friday 21:28  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: "Smart" drive scanning for VCD's
	  loaded.

2003-10-03 Friday 09:11  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c, include/libvcd/info.h, lib/info.c: Use
	  "smarter" VCD scanning.

2003-09-23 Tuesday 21:23  Nicolas Boullis <nboullis@debian.org>

	* debian/changelog: Update debian dir to match the real 0.7.14-1
	  package.

2003-09-14 Sunday 09:32  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c, lib/image_nrg.c, lib/info.c,
	  lib/mpeg.c, lib/vcd.c, test/testimage.c: Miscellaneous I/O format
	  lint.

2003-09-14 Sunday 08:00  Rocky Bernstein <rocky@gnu.org>

	* test/Makefile.am: Include testassert regression test.

2003-09-13 Saturday 23:03  Rocky Bernstein <rocky@gnu.org>

	* docs/: .cvsignore, version.texi: version.texi is created by
	  automake. Shouldn't be in CVS.

2003-09-13 Saturday 23:01  Rocky Bernstein <rocky@gnu.org>

	* docs/: vcd-info.texi, vcdimager.texi, version.texi: More
	  vcdinfo-> vcd-info changes

2003-09-13 Saturday 22:53  Rocky Bernstein <rocky@gnu.org>

	* docs/vcd-info.texi: The program is now called vcd-info. Adjust
	  names accordingly.

2003-09-11 Thursday 03:13  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcdimager.c, frontends/xml/vcd_xml_build.c,
	  frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_master.h,
	  lib/util.c, lib/util.h, lib/vcd.c, test/check_vcdimager_fn,
	  test/check_vcdxbuild_fn: _vcd_lba_to_msf_str ->
	  cdio_lba_to_msf_str.	More preparation for allowing creation date
	  CD image.

2003-09-10 Wednesday 08:25  Rocky Bernstein <rocky@gnu.org>

	* frontends/: cli/vcdimager.c, xml/vcd_xml_master.c: Preparation
	  for allowing a --create-date option on VCD images.

2003-09-10 Wednesday 08:24  Rocky Bernstein <rocky@gnu.org>

	* lib/: vcd.c, vcd.h: Allow caller to specify create date on VCD
	  images.

2003-09-10 Wednesday 08:23  Rocky Bernstein <rocky@gnu.org>

	* lib/image_sink.h: Move #include "config.h" in here" so we do not
	  have to do it in source files.

2003-09-10 Wednesday 08:22  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Get ready for allowing folks to specify create date
	  (or use current time) on VCD creation.

2003-09-10 Wednesday 02:07  Rocky Bernstein <rocky@gnu.org>

	* vcdimager.spec.in: typo

2003-09-10 Wednesday 02:06  Rocky Bernstein <rocky@gnu.org>

	* vcdimager.spec.in: make versions of tarball and rpm the same and
	  remove some duplicate items

2003-09-09 Tuesday 01:31  Rocky Bernstein <rocky@gnu.org>

	* docs/version.texi, include/libvcd/info.h, lib/info.c: Sector
	  counts only for non-continued segments and give entire list size.
	  Continued segments are listed as size 0. May rethink/redecide
	  this decision.

2003-09-07 Sunday 18:21  Rocky Bernstein <rocky@gnu.org>

	* lib/: directory.c, vcd.c: iso9660 API change: add time to ISO
	  9660 routines.

2003-09-07 Sunday 18:17  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Note new CVS version and require latest libcdio
	  since AP changed again.

2003-09-06 Saturday 13:19  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c, lib/info.c, test/svcd1_nrg.right,
	  test/svcd1_test1.right, test/svcd1_test2.right,
	  test/vcd20_nrg.right, test/vcd20_test1.right: info: finally get
	  segment sector sizes correct.  vcd-info: display segment sector
	  sizes in dump

2003-09-06 Saturday 02:52  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: Better error checking on invalid segment numbers.

2003-09-06 Saturday 01:55  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c, frontends/xml/vcd_xml_rip.c,
	  include/libvcd/inf.h, include/libvcd/info.h,
	  include/libvcd/types.h, lib/inf.c, lib/info.c: Add
	  vcdinfo_get_seg_continue() and segnum_t (a uint16_t)

2003-09-05 Friday 22:46  Rocky Bernstein <rocky@gnu.org>

	* docs/version.texi, lib/info.c, lib/vcd.c: info.c: Remove ISO9660
	  lsn finding routine. It's now in libiso9600.	vcd.c: remove use
	  of magic number 150 (sector size of segments)

2003-09-05 Friday 11:01  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Remove another of magic number 150

2003-09-05 Friday 11:00  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Remove use of magic number 150

2003-09-05 Friday 10:56  Rocky Bernstein <rocky@gnu.org>

	* docs/vcdimager.texi, docs/version.texi, frontends/cli/vcd-info.c,
	  include/libvcd/info.h, lib/info.c, lib/info_private.h,
	  test/svcd1_nrg.right, test/svcd1_test0.right,
	  test/svcd1_test1.right, test/svcd1_test2.right,
	  test/vcd11_test0.right, test/vcd11_test1.right,
	  test/vcd20_nrg.right, test/vcd20_test0.right,
	  test/vcd20_test1.right, test/vcd20_test2.right: vcd-info.c,
	  *.right: Now list LSN (MSF and track #0) on segments output.
	  and other small output changes.

	  info.h: note use of magic number 150 info_private.h: segment_list
	  -> seg_sizes (an array) info.c: fix bug where we were giving
	  "item" LSNs and sizes which may	  contain many "continued
	  segments" instead of segment LSNs and sizes.

2003-09-04 Thursday 12:16  Rocky Bernstein <rocky@gnu.org>

	* docs/vcd-info.texi, frontends/xml/vcd_xml_rip.c, lib/info.c,
	  lib/vcd_read.c, lib/vcd_read.h, test/vcd20_test2.right: Add
	  read_info routine.

	  (Another preliminary step before getting segment info reading
	  correct - perhaps the next change we'll address just that).

2003-09-04 Thursday 02:37  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, frontends/xml/Makefile.am,
	  frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_common.c,
	  frontends/xml/vcd_xml_common.h, frontends/xml/vcd_xml_dump.c,
	  frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_parse.c,
	  frontends/xml/vcd_xml_rip.c: From vcdimager main granch: added
	  --filename-encoding option to xml frontends, in order to allow
	  local filenames to have a different encoding than utf8...

2003-09-03 Wednesday 09:34  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c, include/libvcd/files_private.h,
	  lib/Makefile.am, lib/info.c, lib/vcd_read.c, lib/vcd_read.h:
	  Start to merge common reading routines from vcdxrip and info with
	  the goal of reading segment lsn and sizes correctly.

2003-09-02 Tuesday 12:09  Rocky Bernstein <rocky@gnu.org>

	* include/libvcd/info.h: Comment changes/corrections.

2003-09-02 Tuesday 12:08  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Use of vcdinf routines more

2003-09-01 Monday 19:43  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, vcdimager.spec.in: vcdimager.spec.in: need newest
	  version of libcdio configure.ac: remove C++ warning as it causes
	  a warning on C programs

2003-09-01 Monday 16:03  Rocky Bernstein <rocky@gnu.org>

	* lib/info_private.c: Don't need _getbuf now that things XA
	  attribute testing is moved to libiso9660.

2003-08-31 Sunday 14:27  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c, frontends/xml/vcd_xml_rip.c,
	  lib/info.c: Straighten out mode1 vs mode2 confusion.

2003-08-31 Sunday 08:55  Rocky Bernstein <rocky@gnu.org>

	* lib/Makefile.am: iso9660 is now in libcdio.

2003-08-31 Sunday 08:43  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c, frontends/xml/vcd_xml_rip.c,
	  include/libvcd/info.h, lib/Makefile.am, lib/directory.c,
	  lib/image_fs.c, lib/image_fs.h, lib/inf.c, lib/info.c,
	  lib/info_private.c, lib/xa.h, test/check_sizeof.c: image_fs is
	  now part of iso9600 in cdio. XA also moved over to libcdio.

2003-08-31 Sunday 05:04  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c, lib/image_fs.c, lib/info.c,
	  lib/info_private.h, lib/iso9660_private.h: iso9600_private.h
	  removed. No more duplicate pvd and dir structs.

2003-08-31 Sunday 03:40  Rocky Bernstein <rocky@gnu.org>

	* lib/iso9660_private.h: iso9660_private.h: reduce what we have to
	  cheat on.  inf.h: pvd_t -> iso9660_pvd_t

2003-08-31 Sunday 03:15  Rocky Bernstein <rocky@gnu.org>

	* lib/image_fs.c: iso_directory_record_t -> iso9660_dir_t

2003-08-31 Sunday 03:08  Rocky Bernstein <rocky@gnu.org>

	* autogen.sh: Duplicate -I

2003-08-31 Sunday 01:46  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c, frontends/xml/vcd_xml_rip.c,
	  include/libvcd/inf.h, lib/inf.c, lib/info.c: pvd_t ->
	  iso9660_pvd_t

2003-08-31 Sunday 01:35  Rocky Bernstein <rocky@gnu.org>

	* autogen.sh, include/libvcd/inf.h, lib/image_fs.c: autogen.sh:
	  minor changes.  inf.h: use iso9660.h for opaque type image_fs.c:
	  try to use more of the iso9660 access routines.

2003-08-30 Saturday 23:27  Rocky Bernstein <rocky@gnu.org>

	* test/: .cvsignore, Makefile.am, avseq00.m1p, check_bitfield.c,
	  check_common_fn.in, check_cue.xml, check_nrg.sh, check_nrg.xml,
	  check_nrg2.xml, check_sizeof.c, check_svcd1.sh, check_svcd1.xml,
	  check_vcd11.sh, check_vcd11.xml, check_vcd20.sh, check_vcd20.xml,
	  check_vcdimager_fn, check_vcdinfo_fn, check_vcdxbuild_fn,
	  check_vcdxrip_fn, item0000.m1p, mpegscan.c, mpegscan2.c,
	  svcd1_cue.xml-right, svcd1_nrg.right, svcd1_nrg.xml-right,
	  svcd1_test0.right, svcd1_test1.right, svcd1_test1.xml-right,
	  svcd1_test2.right, testassert.c, testimage.c, vcd11_test0.right,
	  vcd11_test1.right, vcd11_test1.xml-right, vcd11_test2.right,
	  vcd20_nrg.right, vcd20_test0.right, vcd20_test1.right,
	  vcd20_test1.xml-right, vcd20_test2.right: tests->test

2003-08-29 Friday 03:39  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c: Typo that prevents older gcc compiler
	  versions from compiling.

2003-08-24 Sunday 14:58  Rocky Bernstein <rocky@gnu.org>

	* include/libvcd/info.h, lib/info.c: Minor type-pure change.

2003-08-24 Sunday 10:17  Rocky Bernstein <rocky@gnu.org>

	* include/libvcd/info.h, lib/info.c: More cases of adding "_offset"
	  where appropriate and remove improper use of lid_t. Use vcdinfo_
	  routines use vcdinf_ more.

2003-08-24 Sunday 10:01  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c, frontends/xml/vcd_xml_rip.c,
	  include/libvcd/inf.h, lib/inf.c, lib/info_private.c: Use offset
	  types for offsets and put "offset" in function name.

2003-08-23 Saturday 02:21  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c, lib/info.c: Segments start at 0.
	  That trick *never* works? As Bullwinkle says, This time, for
	  sure!

2003-08-23 Saturday 00:23  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: vcdinfo_pin2str() SEGMENT[]'s format starting at 0
	  now.

2003-08-23 Saturday 00:01  Rocky Bernstein <rocky@gnu.org>

	* NEWS, frontends/cli/vcd-info.c: Number segments starting from 0
	  in vcd-info.

2003-08-17 Sunday 06:49  Rocky Bernstein <rocky@gnu.org>

	* .cvsignore, Makefile.am, configure.ac, libiso9660.pc.in,
	  libvcd.pc.in, frontends/cli/Makefile.am,
	  frontends/cli/vcd-info.c, frontends/xml/Makefile.am,
	  frontends/xml/vcd_xml_rip.c, include/libvcd/Makefile.am,
	  include/libvcd/iso9660.h, include/libvcd/types.h,
	  lib/Makefile.am, lib/directory.c, lib/image.c,
	  lib/image_bincue.c, lib/image_cdrdao.c, lib/image_fs.c,
	  lib/image_fs.h, lib/image_nrg.c, lib/inf.c, lib/info.c,
	  lib/info_private.c, lib/info_private.h, lib/iso9660.c, lib/obj.h,
	  lib/vcd.c: Move libiso9660 to libcdio project.

2003-08-17 Sunday 06:36  Rocky Bernstein <rocky@gnu.org>

	* libvcdinfo.pc.in: We don't use glib just yet.

2003-08-16 Saturday 22:12  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Back off a little on libcdio. Otherwise we'll never
	  get bootstrapped.

2003-08-16 Saturday 22:08  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Make sure we have the latest libcdio.

2003-08-16 Saturday 22:02  Rocky Bernstein <rocky@gnu.org>

	* .cvsignore, libiso9660.pc.in: pkg-config set to know about
	  libiso9660

2003-08-16 Saturday 22:01  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, docs/version.texi,
	  frontends/cli/Makefile.am, frontends/cli/vcd-info.c,
	  frontends/xml/Makefile.am, include/libvcd/Makefile.am,
	  include/libvcd/iso9660.h, include/libvcd/iso9660_private.h,
	  lib/Makefile.am, lib/directory.c, lib/files.c, lib/iso9660.c,
	  lib/iso9660_private.h, lib/util.c, lib/util.h, lib/vcd.c:
	  iso9660_private.h is no longer installed. It's now really
	  private.  Some access routines needed to be written for this.
	  With this we've create and install an ISO 9660 library. All in
	  here all start libiso9660 start "iso9660_".

2003-08-10 Sunday 18:07  Rocky Bernstein <rocky@gnu.org>

	* vcdimager.spec.in: Another fix from Manfred Tremmel.

2003-08-10 Sunday 18:00  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c, frontends/xml/vcd_xml_rip.c,
	  include/libvcd/inf.h, include/libvcd/info.h, lib/inf.c,
	  lib/info.c, lib/info_private.c: vcdinf{o_,}..._from_xxx ->
	  vcdinf$1_xxx... e.g.	vcdinfo_get_return_from_pld ->
	  vcdinfo_pld_get_return

	  Naming is shorter and things involving pld, lid, psd are grouped
	  together.

	  inf{o,}.h: add routine to access to pld.noi.

2003-08-10 Sunday 03:12  Rocky Bernstein <rocky@gnu.org>

	* include/libvcd/inf.h, include/libvcd/info.h, lib/inf.c,
	  lib/info.c, lib/info_private.c, lib/info_private.h: Some of the
	  many changes needed to get xine-vcdx to work again.  More private
	  vcdinf_routines moved public.

2003-08-10 Sunday 02:12  Rocky Bernstein <rocky@gnu.org>

	* include/libvcd/inf.h, include/libvcd/info.h, lib/inf.c,
	  lib/info_private.c: Tidy up. Stuff from info_private.c moved to
	  inf.c info_private could either be removed or more private stuff
	  moved in.

2003-08-10 Sunday 01:56  Rocky Bernstein <rocky@gnu.org>

	* lib/: Makefile.am, inf.c, info.c: Separate vcdinf_ from vcdinfo_
	  via new inf.c file.

2003-08-10 Sunday 01:26  Rocky Bernstein <rocky@gnu.org>

	* docs/.cvsignore, frontends/cli/vcd-info.c,
	  frontends/xml/vcd_xml_rip.c, include/libvcd/Makefile.am,
	  include/libvcd/files.h, include/libvcd/files_private.h,
	  include/libvcd/inf.h, include/libvcd/info.h,
	  include/libvcd/info_private.h, include/libvcd/types.h,
	  lib/Makefile.am, lib/files.c, lib/image_fs.c, lib/info.c,
	  lib/info_private.c, lib/info_private.h, lib/iso9660.c, lib/pbc.c:
	  Make info_private.h, really private. Presumably better modularity
	  and information hiding. vcdinfo_ implies using vcdinfo_t and
	  vcdinf_ implies useing a lower-level structure that isn't
	  vcdinfo_t.

2003-08-07 Thursday 00:39  Rocky Bernstein <rocky@gnu.org>

	* vcdimager.spec.in: Add %{_libdir}/pkgconfig/* as per Manfred
	  Tremmel <Manfred.Tremmel@iiv.de>

2003-08-06 Wednesday 14:05  Rocky Bernstein <rocky@gnu.org>

	* vcdimager.spec.in: Wrong date.

2003-08-06 Wednesday 11:38  Rocky Bernstein <rocky@gnu.org>

	* vcdimager.spec.in: Fixes really Manfred Tremmel
	  <Manfred.Tremmel@iiv.de> at
	  http://www.iiv.de/schwinde/buerger/tremmel/

2003-08-04 Monday 00:34  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, vcdimager.spec.in: Arrange for -'s in version name
	  to be _. Not done elegantly, but then neither is automake.

2003-08-02 Saturday 03:37  Rocky Bernstein <rocky@gnu.org>

	* .cvsignore: Yet another.

2003-08-02 Saturday 03:25  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, docs/version.texi: Add rule to install PKG files.

2003-08-02 Saturday 03:16  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, libvcdinfo.pc.in: Get ready for another release.
	  Create PKG info for libvcdinfo.

2003-07-19 Saturday 20:16  Rocky Bernstein <rocky@gnu.org>

	* include/libvcd/info.h, lib/info.c: Complete interface with
	  corresponding *_lsn routines	 vcdinfo_get_entry_lsn(),
	  vcdinfo_get_seg_lsn() and vcdinfo_get_track_lsn().

	  With this, code in info.c gets simpler *and* faster.

2003-07-06 Sunday 10:01  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am, docs/version.texi, frontends/xml/Makefile.am,
	  frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_common.c,
	  frontends/xml/vcd_xml_common.h, frontends/xml/vcd_xml_dump.c,
	  frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_parse.c,
	  frontends/xml/vcd_xml_rip.c: added --filename-encoding option to
	  xml frontends, in order to allow local filenames to have a
	  different encoding than utf8...

2003-06-13 Friday 03:16  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c, frontends/xml/vcd_xml_rip.c,
	  include/libvcd/info.h, include/libvcd/info_private.h, lib/info.c,
	  lib/info_private.c: Simplify driver options processing by making
	  more/better use of cdio driver options processing.  Removed
	  vcd_inf_open: use cdio_open instead.

2003-06-10 Tuesday 03:42  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Use more popt flags from configure in code. Is not
	  complete, but is closer.

2003-06-10 Tuesday 03:41  Rocky Bernstein <rocky@gnu.org>

	* lib/info_private.c: Remove duplicate code to figure out if
	  disk-image or device that now is included in libcdio. Could stand
	  to use more cleanup, but this is definitely an improvement. And
	  it works on M$ device names.

2003-06-10 Tuesday 01:18  Rocky Bernstein <rocky@gnu.org>

	* configure.ac, docs/version.texi: Handle regression use of diff
	  via autoconf rather than as a regression-test run-time check.

2003-06-10 Tuesday 01:16  Rocky Bernstein <rocky@gnu.org>

	* lib/: image_bincue.c, image_cdrdao.c, image_nrg.c: _write is used
	  by cygwin. Rename to something more unique.

2003-06-08 Sunday 14:52  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: A better way to do regression file comparisons.

2003-05-18 Sunday 02:37  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c: Add one --bin-file test.

2003-05-18 Sunday 01:56  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcd-info.c: Make cdio failure a little less severe.

2003-05-18 Sunday 01:53  Rocky Bernstein <rocky@gnu.org>

	* lib/info_private.c: Give error message if corresponding cue for a
	  bin can't be found (or vice versa).

2003-05-18 Sunday 01:53  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Add --cue-file option.

2003-05-17 Saturday 11:03  Rocky Bernstein <rocky@gnu.org>

	* lib/info_private.c: Bug: was not returning invalid LID selection
	  when invalid.

2003-04-26 Saturday 14:43  Rocky Bernstein <rocky@gnu.org>

	* include/libvcd/version.h: Derived from version.h.in

2003-04-26 Saturday 14:37  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, docs/.cvsignore, docs/Makefile.am,
	  docs/vcd-info.texi, docs/vcdinfo.texi, frontends/cli/.cvsignore,
	  frontends/cli/Makefile.am, frontends/cli/cdxa2mpeg.c,
	  frontends/cli/vcd-info.c, frontends/cli/vcdimager.c,
	  frontends/cli/vcdinfo.c, frontends/xml/vcd_xml_build.c,
	  frontends/xml/vcd_xml_common.c, frontends/xml/vcd_xml_dtd.c,
	  frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_master.c,
	  frontends/xml/vcd_xml_minfo.c, frontends/xml/vcd_xml_parse.c,
	  frontends/xml/vcd_xml_rip.c, frontends/xml/vcdxml.h,
	  include/libvcd/Makefile.am, include/libvcd/acconfig.h,
	  include/libvcd/assert.h, include/libvcd/bitvec.h,
	  include/libvcd/bytesex.h, include/libvcd/bytesex_asm.h,
	  include/libvcd/data_structures.h, include/libvcd/dict.h,
	  include/libvcd/directory.h, include/libvcd/image_fs.h,
	  include/libvcd/image_sink.h, include/libvcd/info.h,
	  include/libvcd/info_private.h, include/libvcd/mpeg.h,
	  include/libvcd/mpeg_stream.h, include/libvcd/obj.h,
	  include/libvcd/pbc.h, include/libvcd/salloc.h,
	  include/libvcd/sector_private.h, include/libvcd/stream.h,
	  include/libvcd/stream_stdio.h, include/libvcd/util.h,
	  include/libvcd/vcd.h, include/libvcd/xa.h, lib/Makefile.am,
	  lib/assert.h, lib/bitvec.h, lib/bytesex.h, lib/bytesex_asm.h,
	  lib/data_structures.c, lib/data_structures.h, lib/dict.h,
	  lib/directory.c, lib/directory.h, lib/files.c, lib/image.c,
	  lib/image_bincue.c, lib/image_cdrdao.c, lib/image_fs.c,
	  lib/image_fs.h, lib/image_nrg.c, lib/image_sink.h, lib/info.c,
	  lib/info_private.c, lib/iso9660.c, lib/logging.c, lib/mpeg.c,
	  lib/mpeg.h, lib/mpeg_stream.c, lib/mpeg_stream.h, lib/obj.h,
	  lib/pbc.c, lib/pbc.h, lib/salloc.c, lib/salloc.h, lib/sector.c,
	  lib/sector_private.h, lib/stream.c, lib/stream.h,
	  lib/stream_stdio.c, lib/stream_stdio.h, lib/util.c, lib/util.h,
	  lib/vcd.c, lib/vcd.h, lib/xa.h, vcd_examples/testdump: - Private
	  headers moved from include/libvcd to lib.  - tests renamed to
	  test - vcdinfo rename vcd-info (to match cd-info from libcdio)

2003-04-22 Tuesday 00:57  Rocky Bernstein <rocky@gnu.org>

	* include/libvcd/: Makefile.am, info_private.h: info_private:
	  preproc symbol changed to reflect name change Makefile.am. Alas
	  we need more includes.

2003-04-22 Tuesday 00:40  Rocky Bernstein <rocky@gnu.org>

	* docs/version.texi, include/libvcd/Makefile.am: Some "private"
	  includes made public for now.

2003-04-22 Tuesday 00:36  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Don't need <libvcd/files_private.h>

2003-04-21 Monday 15:19  Herbert Valerio Riedel <hvr@gnu.org>

	* docs/version.texi, lib/Makefile.am: forgot tests in last commit

2003-04-21 Monday 14:38  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.ac, libvcd.pc.in, frontends/cli/Makefile.am,
	  frontends/cli/cdxa2mpeg.c, frontends/cli/vcdimager.c,
	  frontends/cli/vcdinfo.c, frontends/xml/Makefile.am,
	  frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_common.c,
	  frontends/xml/vcd_xml_common.h, frontends/xml/vcd_xml_dtd.c,
	  frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_master.c,
	  frontends/xml/vcd_xml_minfo.c, frontends/xml/vcd_xml_parse.c,
	  frontends/xml/vcd_xml_parse.h, frontends/xml/vcd_xml_rip.c,
	  frontends/xml/vcdxml.h, include/Makefile.am,
	  include/libvcd/Makefile.am, include/libvcd/acconfig.h,
	  include/libvcd/assert.h, include/libvcd/bitvec.h,
	  include/libvcd/bytesex.h, include/libvcd/bytesex_asm.h,
	  include/libvcd/data_structures.h, include/libvcd/dict.h,
	  include/libvcd/directory.h, include/libvcd/files.h,
	  include/libvcd/files_private.h, include/libvcd/image_fs.h,
	  include/libvcd/image_sink.h, include/libvcd/info.h,
	  include/libvcd/info_private.h, include/libvcd/iso9660.h,
	  include/libvcd/iso9660_private.h, include/libvcd/logging.h,
	  include/libvcd/mpeg.h, include/libvcd/mpeg_stream.h,
	  include/libvcd/obj.h, include/libvcd/pbc.h,
	  include/libvcd/salloc.h, include/libvcd/sector.h,
	  include/libvcd/sector_private.h, include/libvcd/stream.h,
	  include/libvcd/stream_stdio.h, include/libvcd/types.h,
	  include/libvcd/util.h, include/libvcd/vcd.h,
	  include/libvcd/version.h, include/libvcd/version.h.in,
	  include/libvcd/xa.h, lib/Makefile.am, lib/data_structures.c,
	  lib/directory.c, lib/files.c, lib/image.c, lib/image_bincue.c,
	  lib/image_cdrdao.c, lib/image_fs.c, lib/image_nrg.c, lib/info.c,
	  lib/info_private.c, lib/iso9660.c, lib/logging.c, lib/mpeg.c,
	  lib/mpeg_stream.c, lib/pbc.c, lib/salloc.c, lib/sector.c,
	  lib/sector_private.h, lib/stream.c, lib/stream_stdio.c,
	  lib/util.c, lib/util.h, lib/vcd.c, lib/vcd.h, lib/vcd_assert.h,
	  lib/vcd_bitvec.h, lib/vcd_bytesex.h, lib/vcd_bytesex_asm.h,
	  lib/vcd_data_structures.c, lib/vcd_data_structures.h,
	  lib/vcd_dict.h, lib/vcd_directory.c, lib/vcd_directory.h,
	  lib/vcd_image.c, lib/vcd_image_bincue.c, lib/vcd_image_cdrdao.c,
	  lib/vcd_image_fs.c, lib/vcd_image_fs.h, lib/vcd_image_nrg.c,
	  lib/vcd_image_sink.h, lib/vcd_image_vpkt.c, lib/vcd_image_vpkt.h,
	  lib/vcd_mmc_linux.c, lib/vcd_mmc_linux.h, lib/vcd_mmc_private.h,
	  lib/vcd_mpeg.c, lib/vcd_mpeg.h, lib/vcd_mpeg_stream.c,
	  lib/vcd_mpeg_stream.h, lib/vcd_obj.h, lib/vcd_pbc.c,
	  lib/vcd_pbc.h, lib/vcd_recorder.c, lib/vcd_recorder.h,
	  lib/vcd_recorder_mmc.c, lib/vcd_recorder_mmc.h, lib/vcd_salloc.c,
	  lib/vcd_salloc.h, lib/vcd_stream.c, lib/vcd_stream.h,
	  lib/vcd_stream_stdio.c, lib/vcd_stream_stdio.h, lib/vcd_xa.h:
	  radical reordering of source code

2003-04-20 Sunday 19:15  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Change release name to 0.7.15-cdio.

2003-04-19 Saturday 20:22  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, include/.cvsignore,
	  include/Makefile.am, lib/Makefile.am, lib/files.h,
	  lib/files_private.h, lib/info.h, lib/info_private.h,
	  lib/iso9660.h, lib/iso9660_private.h, lib/logging.h,
	  lib/sector.h, lib/types.h, lib/vcd.h, lib/vcd_bitvec.h: Move
	  public include to a separate directory (similar to installed
	  directory) to facilitate projects that want to include mirrored
	  copies.

2003-04-12 Saturday 03:48  Rocky Bernstein <rocky@gnu.org>

	* lib/info_private.c: Push some of the auto filetype determination
	  back into libcdio where it belongs.

2003-04-10 Thursday 04:18  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: cdio_get_default_device can now take a NULL argument
	  which obviates the need to read from the CD-ROM (which is good
	  since there might not be something in the drive).

2003-04-09 Wednesday 11:15  Rocky Bernstein <rocky@gnu.org>

	* frontends/: cli/vcdimager.c, xml/vcd_xml_gen.c: CD_MAX_TRACKS ->
	  CDIO_MAX_TRACKS

2003-04-08 Tuesday 02:31  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Bug: Off by one in XML segment
	  number produced by vcdxrip introduced by yours truly.

2003-04-08 Tuesday 01:34  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Bug: XML segment numbers given were
	  2 off because We were adding 1 rather than subtracting one.

2003-04-07 Monday 20:25  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c, lib/info_private.c: Get similar code
	  more in sync. May one day merge these.

2003-04-07 Monday 20:07  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c, lib/info_private.c: use
	  vcdinf_get_offset_from_psd more.

2003-04-07 Monday 19:38  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Get rid of unused parameter.

2003-04-07 Monday 02:48  Rocky Bernstein <rocky@gnu.org>

	* lib/info.c: Potential memory leak: Allocate up segment list only
	  after we've checked for all errors.

2003-04-06 Sunday 23:10  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcdimager.c, frontends/cli/vcdinfo.c,
	  frontends/xml/vcd_xml_rip.c, lib/info.c, lib/sector.c,
	  lib/sector_private.h, lib/vcd.c, lib/vcd_image_bincue.c,
	  lib/vcd_image_cdrdao.c: Use for the most part the new #defines in
	  cdio/sector.h

2003-04-06 Sunday 07:16  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcdimager.c, frontends/cli/vcdinfo.c, lib/sector.c,
	  lib/sector_private.h, lib/vcd.c, lib/vcd_image_bincue.c,
	  lib/vcd_image_cdrdao.c: cddio/sector.h #defines changed. Actually
	  used those from /usr/include/linux/cdrom.h. Perhaps more in this
	  direction later.

2003-04-04 Friday 03:41  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcdinfo.c, lib/files.c, lib/files_private.h,
	  lib/info.c, lib/info.h, lib/info_private.c, lib/info_private.h,
	  lib/types.h, lib/vcd.c, lib/vcd_pbc.c: More opaque types. Common
	  C99 definitions picked up from <cdio/types.h>

2003-04-04 Friday 02:57  Rocky Bernstein <rocky@gnu.org>

	* vcd_examples/: .cvsignore, demovcd-pal.cue, iso2_vcd_pal.cue,
	  svcd_ogt_test_ntsc.cue, test_svcd_ntsc.cue, test_svcd_pal.cue,
	  vcd_demo.cue: Regression stuff moved from xine fork. Basically
	  some test Video CD images from vcdhelp.com

2003-04-04 Friday 02:55  Rocky Bernstein <rocky@gnu.org>

	* vcd_examples/: README, demovcd-pal.right, monvoisin.right,
	  svcd_ogt_test_ntsc.right, test_svcd_ntsc.right,
	  test_svcd_pal.right, testdump, vcd_demo.right: Tests moved over
	  from xine. There are basically various test Video CD's from
	  vcdhelp.

2003-04-04 Friday 00:44  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcdinfo.c, frontends/xml/vcd_xml_rip.c,
	  lib/Makefile.am, lib/info.c, lib/info.h, lib/info_private.c,
	  lib/info_private.h, lib/vcdinf.c, lib/vcdinf.h, lib/vcdinfo.c,
	  lib/vcdinfo.h: vcdinf*->inf*

	  info: get default device fixed so that it returns something even
	  if	   image has not been initialized. Adjust for differences
	  between	vcdinfo tracks starting at 0 (for ISO9660 track)
	  and cdio's tracks	  starting at 1.

2003-04-03 Thursday 12:36  Rocky Bernstein <rocky@gnu.org>

	* lib/: files_private.h, types.h, vcdinfo.h: cdio/cdio_types.h ->
	  cdio/types.h

2003-04-03 Thursday 11:39  Rocky Bernstein <rocky@gnu.org>

	* lib/: files_private.h, iso9660.c, iso9660.h, iso9660_private.h,
	  logging.c, util.c, util.h, vcd_files_private.h, vcd_iso9660.c,
	  vcd_iso9660.h, vcd_iso9660_private.h, vcd_logging.c, vcd_util.c,
	  vcd_util.h: vcd_xxx -> xxx.

2003-04-03 Thursday 11:37  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/cdxa2mpeg.c, frontends/cli/vcdimager.c,
	  frontends/cli/vcdinfo.c, frontends/xml/vcd_xml_build.c,
	  frontends/xml/vcd_xml_common.h, frontends/xml/vcd_xml_dtd.c,
	  frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_master.c,
	  frontends/xml/vcd_xml_minfo.c, frontends/xml/vcd_xml_parse.c,
	  frontends/xml/vcd_xml_parse.h, frontends/xml/vcd_xml_rip.c,
	  frontends/xml/vcdxml.h, lib/Makefile.am, lib/files.c,
	  lib/files.h, lib/logging.h, lib/sector.c, lib/sector.h,
	  lib/sector_private.h, lib/types.h, lib/vcd.c, lib/vcd_assert.h,
	  lib/vcd_bitvec.h, lib/vcd_bytesex.h, lib/vcd_bytesex_asm.h,
	  lib/vcd_cd_sector.c, lib/vcd_cd_sector.h,
	  lib/vcd_cd_sector_private.h, lib/vcd_data_structures.c,
	  lib/vcd_data_structures.h, lib/vcd_dict.h, lib/vcd_directory.c,
	  lib/vcd_directory.h, lib/vcd_files.c, lib/vcd_files.h,
	  lib/vcd_image.c, lib/vcd_image_bincue.c, lib/vcd_image_cdrdao.c,
	  lib/vcd_image_fs.c, lib/vcd_image_fs.h, lib/vcd_image_nrg.c,
	  lib/vcd_image_sink.h, lib/vcd_image_vpkt.c, lib/vcd_logging.h,
	  lib/vcd_mmc_linux.c, lib/vcd_mmc_private.h, lib/vcd_mpeg.c,
	  lib/vcd_mpeg.h, lib/vcd_mpeg_stream.c, lib/vcd_mpeg_stream.h,
	  lib/vcd_obj.h, lib/vcd_pbc.c, lib/vcd_pbc.h, lib/vcd_recorder.c,
	  lib/vcd_recorder.h, lib/vcd_recorder_mmc.c, lib/vcd_salloc.c,
	  lib/vcd_salloc.h, lib/vcd_stream.c, lib/vcd_stream.h,
	  lib/vcd_stream_stdio.c, lib/vcd_types.h, lib/vcd_xa.h,
	  lib/vcdinf.c, lib/vcdinf.h, lib/vcdinfo.c, lib/vcdinfo.h: Part of
	  long process to remove change local includes from <lib/foo.h> to
	  "foo.h" remove vcd_ from library names, add more opaque times and
	  increase modularity so "private" files don't have to be included
	  as often.

2003-04-02 Wednesday 14:56  Rocky Bernstein <rocky@gnu.org>

	* lib/vcdinfo.c: Zeroing/NULLing out is not initializing. Create
	  common zero routine for init and destroy.

2003-04-02 Wednesday 06:17  Rocky Bernstein <rocky@gnu.org>

	* lib/: vcd_pbc.h, vcd_types.h: Move PSD_OFS definitions from
	  vcd_pbc.h (which is not installed header) to vcd_types.h which is
	  installed.

2003-04-02 Wednesday 06:13  Rocky Bernstein <rocky@gnu.org>

	* lib/vcdinf.h: This include requires cdio/cdio.h. So include it.

2003-04-02 Wednesday 06:13  Rocky Bernstein <rocky@gnu.org>

	* lib/Makefile.am: Add vcd_logging.h to list of installed headers.

2003-04-02 Wednesday 05:11  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcdinfo.c, lib/Makefile.am, lib/vcd.h,
	  lib/vcd_cd_sector.h, lib/vcd_data_structures.h, lib/vcd_files.h,
	  lib/vcd_files_private.h, lib/vcd_iso9660_private.h,
	  lib/vcd_obj.h, lib/vcd_pbc.h, lib/vcd_types.h, lib/vcdinf.c,
	  lib/vcdinf.h, lib/vcdinfo.c, lib/vcdinfo.h: - <lib/vcd_xxx.> ->
	  "vcd_xxx.h" which works better when an include is   installed.

	  - Includes gone over to make fewer of them necessary.

	  - More lower-level vcdinfo stuff moved to vcdinf. vcdinfo now
	  just uses an opaque type.

2003-04-02 Wednesday 05:03  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcddump.c: Move more low-level to vcdinf from
	  vcdinfo. Hopefully better modularity.  And keeping more in line
	  with the cdio branch.

2003-03-30 Sunday 11:54  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/.cvsignore, lib/.cvsignore: CVS maintenance

2003-03-30 Sunday 11:14  Rocky Bernstein <rocky@gnu.org>

	* lib/: Makefile.am, vcd.c, vcd.h, vcd_assert.h, vcd_bitvec.h,
	  vcd_bytesex.h, vcd_bytesex_asm.h, vcd_cd_sector.c,
	  vcd_cd_sector.h, vcd_cd_sector_private.h, vcd_data_structures.c,
	  vcd_data_structures.h, vcd_dict.h, vcd_directory.c,
	  vcd_directory.h, vcd_files.c, vcd_files.h, vcd_files_private.h,
	  vcd_image.c, vcd_image_bincue.c, vcd_image_cdrdao.c,
	  vcd_image_fs.c, vcd_image_fs.h, vcd_image_nrg.c,
	  vcd_image_sink.h, vcd_image_vpkt.c, vcd_image_vpkt.h,
	  vcd_iso9660.c, vcd_iso9660.h, vcd_iso9660_private.h,
	  vcd_logging.c, vcd_logging.h, vcd_mmc_linux.c, vcd_mmc_linux.h,
	  vcd_mmc_private.h, vcd_mpeg.c, vcd_mpeg.h, vcd_mpeg_stream.c,
	  vcd_mpeg_stream.h, vcd_obj.h, vcd_pbc.c, vcd_pbc.h,
	  vcd_recorder.c, vcd_recorder.h, vcd_recorder_mmc.c,
	  vcd_recorder_mmc.h, vcd_salloc.c, vcd_salloc.h, vcd_stream.c,
	  vcd_stream.h, vcd_stream_stdio.c, vcd_stream_stdio.h,
	  vcd_types.h, vcd_util.c, vcd_util.h, vcd_xa.h, vcdinf.c,
	  vcdinf.h, vcdinfo.c, vcdinfo.h: Ooops. Removed from wrong place.

2003-03-30 Sunday 11:11  Rocky Bernstein <rocky@gnu.org>

	* lib/: Makefile.am, vcd.c, vcd.h, vcd_assert.h, vcd_bitvec.h,
	  vcd_bytesex.h, vcd_bytesex_asm.h, vcd_cd_sector.c,
	  vcd_cd_sector.h, vcd_cd_sector_private.h, vcd_data_structures.c,
	  vcd_data_structures.h, vcd_dict.h, vcd_directory.c,
	  vcd_directory.h, vcd_files.c, vcd_files.h, vcd_files_private.h,
	  vcd_image.c, vcd_image_bincue.c, vcd_image_cdrdao.c,
	  vcd_image_fs.c, vcd_image_fs.h, vcd_image_nrg.c,
	  vcd_image_sink.h, vcd_image_vpkt.c, vcd_image_vpkt.h,
	  vcd_iso9660.c, vcd_iso9660.h, vcd_iso9660_private.h,
	  vcd_logging.c, vcd_logging.h, vcd_mmc_linux.c, vcd_mmc_linux.h,
	  vcd_mmc_private.h, vcd_mpeg.c, vcd_mpeg.h, vcd_mpeg_stream.c,
	  vcd_mpeg_stream.h, vcd_obj.h, vcd_pbc.c, vcd_pbc.h,
	  vcd_recorder.c, vcd_recorder.h, vcd_recorder_mmc.c,
	  vcd_recorder_mmc.h, vcd_salloc.c, vcd_salloc.h, vcd_stream.c,
	  vcd_stream.h, vcd_stream_stdio.c, vcd_stream_stdio.h,
	  vcd_types.h, vcd_util.c, vcd_util.h, vcd_xa.h, vcdinf.c,
	  vcdinf.h, vcdinfo.c, vcdinfo.h: Now located in lib.

2003-03-30 Sunday 11:07  Rocky Bernstein <rocky@gnu.org>

	* lib/Makefile.am: libvcd -> lib

2003-03-30 Sunday 11:04  Rocky Bernstein <rocky@gnu.org>

	* lib/: vcd.c, vcd.h, vcd_assert.h, vcd_bitvec.h, vcd_bytesex.h,
	  vcd_bytesex_asm.h, vcd_cd_sector.c, vcd_cd_sector.h,
	  vcd_cd_sector_private.h, vcd_data_structures.c,
	  vcd_data_structures.h, vcd_dict.h, vcd_directory.c,
	  vcd_directory.h, vcd_files.c, vcd_files.h, vcd_files_private.h,
	  vcd_image.c, vcd_image_bincue.c, vcd_image_cdrdao.c,
	  vcd_image_fs.c, vcd_image_fs.h, vcd_image_nrg.c,
	  vcd_image_sink.h, vcd_image_vpkt.c, vcd_image_vpkt.h,
	  vcd_iso9660.c, vcd_iso9660.h, vcd_iso9660_private.h,
	  vcd_logging.c, vcd_logging.h, vcd_mmc_linux.c, vcd_mmc_linux.h,
	  vcd_mmc_private.h, vcd_mpeg.c, vcd_mpeg.h, vcd_mpeg_stream.c,
	  vcd_mpeg_stream.h, vcd_obj.h, vcd_pbc.c, vcd_pbc.h,
	  vcd_recorder.c, vcd_recorder.h, vcd_recorder_mmc.c,
	  vcd_recorder_mmc.h, vcd_salloc.c, vcd_salloc.h, vcd_stream.c,
	  vcd_stream.h, vcd_stream_stdio.c, vcd_stream_stdio.h,
	  vcd_types.h, vcd_util.c, vcd_util.h, vcd_xa.h, vcdinf.c,
	  vcdinf.h, vcdinfo.c, vcdinfo.h: move libvcd to lib

2003-03-30 Sunday 11:01  Rocky Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, frontends/cli/cdxa2mpeg.c,
	  frontends/cli/vcdimager.c, frontends/cli/vcdinfo.c,
	  frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_common.c,
	  frontends/xml/vcd_xml_common.h, frontends/xml/vcd_xml_dtd.c,
	  frontends/xml/vcd_xml_dump.c, frontends/xml/vcd_xml_dump.h,
	  frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_master.c,
	  frontends/xml/vcd_xml_minfo.c, frontends/xml/vcd_xml_parse.c,
	  frontends/xml/vcd_xml_rip.c, frontends/xml/vcdxml.h: 1. libvcd ->
	  lib 2. libtoolize 3. vcdxrip & regression tests: add
	  --no-command-comment since libtool	will change the command
	  name depending on whether or not shared libraries    are built

2003-03-24 Monday 19:45  Rocky Bernstein <rocky@gnu.org>

	* NEWS, autogen.sh, configure.ac, docs/.cvsignore,
	  docs/Makefile.am, docs/vcddump.texi, docs/vcdimager.texi,
	  docs/vcdinfo.texi, docs/version.texi, frontends/cli/Makefile.am,
	  frontends/cli/cdxa2mpeg.c, frontends/cli/vcddump.c,
	  frontends/cli/vcdimager.c, frontends/cli/vcdinfo.c,
	  frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_common.c,
	  frontends/xml/vcd_xml_common.h, frontends/xml/vcd_xml_gen.c,
	  frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_minfo.c,
	  frontends/xml/vcd_xml_rip.c: Massive changes to split out CD
	  reading and use the new libcdio library.

2003-03-17 Monday 05:30  Rocky Bernstein <rocky@gnu.org>

	* docs/glossary.texi: Philips, not Phillips.

2003-03-17 Monday 05:28  Rocky Bernstein <rocky@gnu.org>

	* docs/glossary.texi: Add terms, NTSC, PAL, SIF since they are
	  used. Add pointer to a more complete glossary. Some terms are
	  defined. Probably should do more in this direction.

2003-03-16 Sunday 16:53  Rocky Bernstein <rocky@gnu.org>

	* docs/vcdimager.texi: Example output is probably more accurate.
	  Note scope navigation is tied to list id.

2003-03-16 Sunday 16:08  Rocky Bernstein <rocky@gnu.org>

	* docs/: vcddump.texi, vcdxrip.texi, version.texi: VCD -> Video CD
	  where appropriate.

2003-03-16 Sunday 16:07  Rocky Bernstein <rocky@gnu.org>

	* docs/vcdimager.texi: Clariry loop scope. Add some concept
	  definitions and acronyms.

2003-03-16 Sunday 16:05  Rocky Bernstein <rocky@gnu.org>

	* docs/glossary.texi: Add more terms and URL's.

2003-03-16 Sunday 03:22  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Getting more verbose in my old age.

2003-03-16 Sunday 01:58  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.ac: add pedantic compile flags only when in maintainer
	  mode

2003-03-16 Sunday 01:05  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcddump.c: Accomodate to older popt that doesn't
	  support the "optional" flag.

2003-03-15 Saturday 23:36  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.ac: fixed configure.ac bugs

2003-03-15 Saturday 21:57  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS: preparing for 0.7.14

2003-03-15 Saturday 21:50  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.ac: added check for warning cflags and _Pragma()
	  support in compiler

2003-03-11 Tuesday 11:49  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Expand OS to check for Solaris. Give warning of
	  OS's that fall through the cracks. $host_os is probably more
	  precise (and less likely to become obsolete than $host.
	  (Actually, $target_os is probably the most accurate as it would
	  take into consideration cross-compilation.)

2003-03-11 Tuesday 05:24  Rocky Bernstein <rocky@gnu.org>

	* frontends/: cli/vcddump.c, xml/vcd_xml_rip.c: vcdinf_open and
	  vcdinfo_open interface changed to set source_name if passed null.

2003-03-10 Monday 10:52  Rocky Bernstein <rocky@gnu.org>

	* frontends/: cli/vcddump.c, xml/vcd_xml_rip.c: More (all?) psd/pld
	  access routines moved from vcdinfo to vcdinf.  Created
	  vcdinf_get_num_selections(psd)

2003-03-10 Monday 09:15  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Warn when entry values inside
	  sequence items may be wrong. Message is a  little stronger than
	  saying this is "not checked."

	  "not checked" does not mean "wrong."

2003-03-06 Thursday 14:53  Rocky Bernstein <rocky@gnu.org>

	* docs/version.texi: Just some comment/document
	  correction/clarification.

2003-03-04 Tuesday 14:49  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: Makefile.am, vcd_xml_dtd.h: made videocd_dtd
	  string const

2003-03-04 Tuesday 14:35  Herbert Valerio Riedel <hvr@gnu.org>

	* AUTHORS: get credits straight

2003-03-04 Tuesday 14:35  Herbert Valerio Riedel <hvr@gnu.org>

	* docs/vcdimager.texi: remove vcdxrip entry

2003-02-28 Friday 11:40  Rocky Bernstein <rocky@gnu.org>

	* BUGS: Spelling

2003-02-28 Friday 11:35  Rocky Bernstein <rocky@gnu.org>

	* NEWS: My NEWS.

2003-02-27 Thursday 22:39  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Declarations before code for gcc <
	  3.0

2003-02-27 Thursday 04:07  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Give error message if can't figure
	  out where to read from.

2003-02-27 Thursday 03:47  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcddump.c: vcdinf.c: Test for get_default_device
	  failing to give back an answer.  vcddump: Give error message if
	  failed to find place to read from

2003-02-26 Wednesday 21:56  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Test for presence of linux/cdrom.h and whether
	  cdrom_generic_command has timeout field in its struct.

2003-02-26 Wednesday 21:52  Rocky Bernstein <rocky@gnu.org>

	* docs/: .cvsignore, version-vcddump.texi: Remove and ignore
	  derived file.

2003-02-26 Wednesday 19:22  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Add tracks option and give warning
	  about not checking autowait and autopause if any MPEG is not
	  extracted.

2003-02-26 Wednesday 19:20  Rocky Bernstein <rocky@gnu.org>

	* docs/.cvsignore: Another.

2003-02-26 Wednesday 19:19  Rocky Bernstein <rocky@gnu.org>

	* docs/.cvsignore: This is a derived file.

2003-02-26 Wednesday 19:16  Rocky Bernstein <rocky@gnu.org>

	* docs/vcdxrip.texi: Document new --track option. Reorganize
	  options sections and break up to examples into two sections.

2003-02-26 Wednesday 10:12  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: vcd_xml_build.c, vcd_xml_dump.c, vcd_xml_parse.c:
	  added several explicit casts to/from 'char *' and 'xmlChar *'

2003-02-26 Wednesday 10:11  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/Makefile.am: dont link xml libs into vcdxminfo

2003-02-26 Wednesday 10:09  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/vcd_xml_dtd.c: added missing #include

2003-02-26 Wednesday 10:09  Herbert Valerio Riedel <hvr@gnu.org>

	* vcdimager.spec.in: added vcdxrip.info

2003-02-26 Wednesday 04:20  Rocky Bernstein <rocky@gnu.org>

	* docs/: vcddump.texi, vcdxrip.texi: Spelling corrections.

2003-02-26 Wednesday 01:34  Nicolas Boullis <nboullis@debian.org>

	* debian/info: fully install the new vcdxrip info file.

2003-02-26 Wednesday 00:27  Rocky Bernstein <rocky@gnu.org>

	* docs/vcdxrip.texi: Small typographical changes.

2003-02-26 Wednesday 00:14  Rocky Bernstein <rocky@gnu.org>

	* docs/vcdxrip.texi: vcdimager doc.

2003-02-25 Tuesday 22:28  Nicolas Boullis <nboullis@debian.org>

	* debian/: changelog, control: debian: no need to build-depend on
	  help2man any more.

2003-02-25 Tuesday 20:29  Rocky Bernstein <rocky@gnu.org>

	* docs/.cvsignore: Add vcdxrip to list.

2003-02-25 Tuesday 20:27  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Small changes.

2003-02-25 Tuesday 20:26  Rocky Bernstein <rocky@gnu.org>

	* docs/: Makefile.am, vcddump.texi, vcdimager.texi,
	  version-vcddump.texi, version.texi: Add vcdxrip documentation.

2003-02-24 Monday 23:35  Nicolas Boullis <nboullis@debian.org>

	* debian/changelog: Getting ready for 0.7.14 .

2003-02-24 Monday 16:48  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Use smart open routine.

2003-02-24 Monday 12:47  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcddump.c: Some fns moved from vcdinfo to vcdinf.
	  Use couple of new vcdinf fns.

2003-02-24 Monday 04:51  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Make more use of common routines in
	  vcdinf/vcdinfo. Better option processing: show option on error,
	  add "smart" --input option.

2003-02-23 Sunday 23:25  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am: added aclocal flags used for maintainer mode

2003-02-23 Sunday 20:03  Herbert Valerio Riedel <hvr@gnu.org>

	* autogen.sh, configure.ac: enable maintainer-mode by default from
	  autogen.sh; more warning flags enabled; moved <linux/version.h>
	  detection into linux specific section

2003-02-23 Sunday 19:56  Herbert Valerio Riedel <hvr@gnu.org>

	* BUGS: got rid of the gnu ({})-extension

2003-02-22 Saturday 18:12  Rocky Bernstein <rocky@gnu.org>

	* frontends/: cli/vcddump.c, xml/vcd_xml_rip.c: Move more internal
	  routines from vcdinfo into vcdinf.  Use more common code in
	  vcd_xml_rip.c

	  Fix bug in filling out LID's (vcdinf_update_offset_list)

2003-02-21 Friday 17:34  Rocky Bernstein <rocky@gnu.org>

	* configure.ac: Solaris fixes.

2003-02-21 Friday 15:24  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcddump.c: For some inexplicable reason I was
	  reading the PSD twice.

2003-02-21 Friday 13:41  Herbert Valerio Riedel <hvr@gnu.org>

	* cvs2cl_usermap: added missing user ids

2003-02-21 Friday 13:32  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am, cvs2cl.pl, cvs2cl_header, cvs2cl_usermap: switched
	  to cvs2cl.pl generated ChangeLog file

2003-02-21 Friday 02:37  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcddump.c: Was setting disk image type for
	  --nrg-file type incorrectly.

2003-02-21 Friday 01:21  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: More stuff added to vcdinf and more
	  code in vcd_xml_rip now uses it.

2003-02-20 Thursday 14:19  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/: Makefile.am, vcd_xml_rip.c: Start using
	  libvcdinfo.

2003-02-19 Wednesday 23:34  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/: cli/Makefile.am, xml/Makefile.am: build man pages
	  only in maintainer mode

2003-02-19 Wednesday 22:56  Herbert Valerio Riedel <hvr@gnu.org>

	* BUGS, NEWS, frontends/xml/vcd_xml_rip.c: cleanups

2003-02-19 Wednesday 22:40  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcddump.c: In help, give --access-mode option
	  values.

2003-02-19 Wednesday 22:35  Rocky Bernstein <rocky@gnu.org>

	* docs/vcddump.texi: Document NRG file and --access-mode.

2003-02-19 Wednesday 22:17  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcddump.c: Add options to force access mode. Allow
	  one to specify a Nero file as input.

2003-02-19 Wednesday 22:15  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Better error message if reading PVD
	  fails. Use more-consistent vcd_image_source_new_nrg routine.

2003-02-19 Wednesday 16:38  Herbert Valerio Riedel <hvr@gnu.org>

	* BUGS, configure.ac, docs/version-vcddump.texi, docs/version.texi,
	  frontends/cli/vcd_debug.c, frontends/cli/vcddump.c: fixed
	  compilation w/ EDG-based mipspro compiler

2003-02-16 Sunday 15:19  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, docs/Makefile.am, docs/version-vcddump.texi,
	  docs/version.texi: getting ready for 0.7.13

2003-02-13 Thursday 18:21  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Spelling correction.

2003-02-13 Thursday 13:30  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/Makefile.am: Expand $< since POSIX requires limited
	  support and not alll make's handle completely.

2003-02-12 Wednesday 16:02  Rocky Bernstein <rocky@gnu.org>

	* NEWS: Note libvcdinfo.

2003-02-10 Monday 22:46  Rocky Bernstein <rocky@gnu.org>

	* docs/vcddump.texi: Remove Top from inside @direntry. Thanks to
	  Nicolas Boullis <nboullis@debian.org>.

2003-02-10 Monday 20:55  Nicolas Boullis <nboullis@debian.org>

	* debian/.cvsignore: cvsignore files generated by the debian
	  packaging process.

2003-02-10 Monday 20:52  Nicolas Boullis <nboullis@debian.org>

	* debian/info: Fully install vcddump info pages.

2003-02-10 Monday 18:03  Herbert Valerio Riedel <hvr@gnu.org>

	* vcdimager.spec.in, docs/Makefile.am: getting ready for 0.7.13

2003-02-10 Monday 15:57  Herbert Valerio Riedel <hvr@gnu.org>

	* AUTHORS, NEWS: getting ready for 0.7.13

2003-02-09 Sunday 14:19  Rocky Bernstein <rocky@gnu.org>

	* docs/vcdimager.texi: Use consistent and perhaps the correct
	  terminology when referring to standards. vcdimager.texi: add
	  references to where this is explained more fully.

2003-02-09 Sunday 13:41  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/vcd_xml_dtd.c: Don't segfault in trying to print
	  char *'s if _xmlExternalEntityLoader is given NULL.

2003-02-08 Saturday 22:10  Nicolas Boullis <nboullis@debian.org>

	* debian/rules:

	  Update Debian packaging (no need to run ./autogen.sh since
	  ./configure is in the tarball + run "make check" if not
	  cross-compiling).

2003-02-08 Saturday 13:07  Rocky Bernstein <rocky@gnu.org>

	* docs/.cvsignore, frontends/xml/.cvsignore: Ignore remaining
	  derived files not previously listed.

2003-02-02 Sunday 20:57  Rocky Bernstein <rocky@gnu.org>

	* docs/version-vcddump.texi: Some support for default entry in
	  selection list.

2003-01-30 Thursday 17:06  Rocky Bernstein <rocky@gnu.org>

	* docs/vcddump.texi: Info Section -> Disc Information

2003-01-30 Thursday 16:55  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcddump.c: Show XA track information if it's
	  available even if this disk is not a VCD.

2003-01-28 Tuesday 11:07  Herbert Valerio Riedel <hvr@gnu.org>

	* HACKING: added note about autotools versions

2003-01-28 Tuesday 10:58  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.ac, docs/version-vcddump.texi, docs/version.texi: bsdi
	  fixes

2003-01-27 Monday 03:19  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcddump.c: Add function vcdinfo_has_pbc needed in
	  player and use it in vcddump.

2003-01-27 Monday 03:18  Rocky Bernstein <rocky@gnu.org>

	* docs/vcddump.texi: More info about entries id: Can possibly be
	  ENNTRYSVD and not XML option tag (field "name").

2003-01-25 Saturday 15:25  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcddump.c: PBC output changed. Also now list LSN on
	  CD-ROM track info.

2003-01-25 Saturday 15:24  Rocky Bernstein <rocky@gnu.org>

	* docs/vcddump.texi: Document PBC. Info cross references should all
	  work now.  Change for yet again slightly expanded output.

2003-01-24 Friday 04:41  Rocky Bernstein <rocky@gnu.org>

	* docs/: vcddump.texi, vcdimager.texi, version.texi: Get cross
	  indexing correct between vcdimager.texi and vcddump.texi
	  vcddump.texi: more minor info added/corrected.

2003-01-24 Friday 03:28  Rocky Bernstein <rocky@gnu.org>

	* docs/: vcddump.texi, version-vcddump.texi: Note that formats
	  reported are to be loosely interpreted. Expecially the TRACKS.SVD
	  info. Note the existence of CVD's.

2003-01-24 Friday 03:25  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcddump.c: VCD3.0 -> CVD. Sigh.

2003-01-23 Thursday 18:18  Nicolas Boullis <nboullis@debian.org>

	* debian/: changelog, control, docs, rules:

	  Update debian packaging.

2003-01-23 Thursday 00:01  Rocky Bernstein <rocky@gnu.org>

	* docs/vcddump.texi: Fill in more detail about what's what.

2003-01-23 Thursday 00:00  Rocky Bernstein <rocky@gnu.org>

	* docs/Makefile.am: Set vcddump to do the same things as vcdimager.

2003-01-21 Tuesday 18:54  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcddump.c: Small pedantic change album description
	  (which is probably more accurate) changed to the shorter album id
	  (which matches the XML tag).	vcdinfo.{c,h}: missing const in
	  vcdinfo *obj.

2003-01-21 Tuesday 18:52  Rocky Bernstein <rocky@gnu.org>

	* docs/: Makefile.am, vcddump.texi: Stab at documentiong sub
	  options for sections. New suboption index causes Makefile.am to
	  change.

2003-01-21 Tuesday 12:17  Herbert Valerio Riedel <hvr@gnu.org>

	* BUGS, docs/Makefile.am: now checks should really work

2003-01-21 Tuesday 03:06  Rocky Bernstein <rocky@gnu.org>

	* docs/vcddump.texi: A little more complete. At least all the
	  options should be listed now.

2003-01-21 Tuesday 00:26  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/vcddump.c: name now optional in "-i" (vcdinfo.c)
	  case of acronyms uniform (vcddump) suboption help (vcddump) Short
	  option 'C' for --cdrom-device (vcddump)

2003-01-21 Tuesday 00:21  Rocky Bernstein <rocky@gnu.org>

	* docs/vcddump.texi: Fix makeinfo problems.

2003-01-20 Monday 23:33  Herbert Valerio Riedel <hvr@gnu.org>

	* docs/version-vcddump.texi: are cmp and cksum POSIX, while md5sum
	  and diff are GNU :-)

2003-01-20 Monday 04:29  Rocky Bernstein <rocky@gnu.org>

	* docs/vcddump.texi: Not complete or thorough, but Getting there.

2003-01-20 Monday 01:41  Herbert Valerio Riedel <hvr@gnu.org>

	* autogen.sh, configure.ac, configure.in: mv configure.{in,ac}

2003-01-20 Monday 01:31  Herbert Valerio Riedel <hvr@gnu.org>

	* docs/: vcddump.texi, version-vcddump.texi: final cut

2003-01-20 Monday 00:27  Rocky Bernstein <rocky@gnu.org>

	* docs/vcddump.texi: Needs more work. First start though.

2003-01-19 Sunday 21:14  Rocky Bernstein <rocky@gnu.org>

	* docs/: .cvsignore, Makefile.am: A start. Much much more work is
	  needed. Just to get the ball rolling though...

2003-01-19 Sunday 19:17  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in: changed cdrom driver framework

2003-01-19 Sunday 15:09  Herbert Valerio Riedel <hvr@gnu.org>

	* BUGS, docs/version.texi: various fixes/cleanups

2003-01-19 Sunday 11:45  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, vcdimager.spec.in, docs/vcdimager.texi: updated
	  documentation to include vcddump

2003-01-19 Sunday 11:22  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcddump.c: renamed vcddebug-references to vcddump

2003-01-19 Sunday 11:15  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in, frontends/cli/.cvsignore,
	  frontends/cli/Makefile.am, frontends/cli/vcddump.c: added
	  Bernstein's vcddump tool

2003-01-18 Saturday 16:00  Rocky Bernstein <rocky@gnu.org>

	* .cvsignore, amiga/.cvsignore: Note more derived files.

2003-01-18 Saturday 15:56  Rocky Bernstein <rocky@gnu.org>

	* frontends/cli/.cvsignore: Don't complain about binaries and
	  man-pages. They too are derived.

2003-01-18 Saturday 15:51  Rocky Bernstein <rocky@gnu.org>

	* frontends/xml/.cvsignore: Don't complain about derived man pages.

2003-01-18 Saturday 15:51  Rocky Bernstein <rocky@gnu.org>

	* docs/.cvsignore: vcdimager.info* is derived. Don't complain
	  about.

2003-01-06 Monday 17:19  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/: cli/vcdimager.c, xml/vcd_xml_rip.c: trying to sync up
	  to bernsteins xine-vcdnav fork

2003-01-04 Saturday 10:49  Herbert Valerio Riedel <hvr@gnu.org>

	* vcdimager.spec.in, docs/version.texi: spec file improvements

2002-12-29 Sunday 16:35  Herbert Valerio Riedel <hvr@gnu.org>

	* docs/vcdimager.texi: typo

2002-12-29 Sunday 16:34  Herbert Valerio Riedel <hvr@gnu.org>

	* vcdimager.spec.in, docs/vcdimager.texi, docs/version.texi: added
	  a few bits about cd image formats to info manual

2002-12-28 Saturday 15:31  Herbert Valerio Riedel <hvr@gnu.org>

	* docs/vcdimager.texi, frontends/cli/Makefile.am,
	  frontends/cli/cdxa2mpeg.c, frontends/cli/vcdimager.c: improved
	  cdxa2mpeg

2002-12-27 Friday 19:12  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am, NEWS, vcdimager.spec.in, debian/control,
	  debian/dirs, debian/docs, debian/rules, debian/substvars,
	  frontends/xml/vcd_xml_build.c: added --dump-dtd option

2002-12-27 Friday 17:14  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am, amiga/Makefile.am, debian/changelog, debian/control,
	  debian/copyright, debian/postinst.debhelper,
	  debian/prerm.debhelper, configure.in: updated debian packaging

2002-12-27 Friday 16:45  Herbert Valerio Riedel <hvr@gnu.org>

	* debian/files: removed

2002-12-27 Friday 16:00  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: vcd_xml_build.c, vcd_xml_master.c, vcdxml.h:
	  improved testsuite

2002-12-25 Wednesday 17:18  Herbert Valerio Riedel <hvr@gnu.org>

	* libpopt.m4, docs/version.texi: release candidate

2002-12-25 Wednesday 15:31  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS: finishing up

2002-12-25 Wednesday 14:53  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in, libpopt.m4, frontends/cli/vcdimager.c,
	  frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_common.c,
	  frontends/xml/vcd_xml_common.h, frontends/xml/vcd_xml_master.c:
	  added support for check mode

2002-12-25 Wednesday 03:25  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in, vcdimager.spec.in, debian/changelog,
	  debian/control, debian/rules: updated rh/deb pkg files

2002-12-25 Wednesday 03:06  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am, configure.in, libpopt.m4, frontends/Makefile.am,
	  frontends/cli/Makefile.am, frontends/xml/Makefile.am: various
	  fixes

2002-07-30 Tuesday 10:49  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/vcd_xml_master.cc: sync

2002-07-29 Monday 18:40  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/: cli/vcdimager.cc, xml/vcd_xml_dump.cc,
	  xml/vcd_xml_parse.cc: starting converting API

2002-07-29 Monday 11:06  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: vcd_xml_parse.cc, vcd_xml_rip.cc: fixed bugs

2002-07-28 Sunday 13:46  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: Makefile.am, vcd_xml_build.c, vcd_xml_build.cc,
	  vcd_xml_common.c, vcd_xml_common.cc, vcd_xml_common.h,
	  vcd_xml_common.hh, vcd_xml_dtd.c, vcd_xml_dtd.cc, vcd_xml_dtd.h,
	  vcd_xml_dtd.hh, vcd_xml_dump.c, vcd_xml_dump.cc, vcd_xml_dump.h,
	  vcd_xml_dump.hh, vcd_xml_gen.c, vcd_xml_gen.cc, vcd_xml_master.c,
	  vcd_xml_master.cc, vcd_xml_master.h, vcd_xml_master.hh,
	  vcd_xml_minfo.c, vcd_xml_parse.c, vcd_xml_parse.cc,
	  vcd_xml_parse.h, vcd_xml_parse.hh, vcd_xml_rip.c, vcd_xml_rip.cc,
	  vcdxml.h, vcdxml.hh: bunch of files converted to C++

2002-07-25 Thursday 10:14  Herbert Valerio Riedel <hvr@gnu.org>

	* debian/control, docs/version.texi: debian related updates

2002-07-25 Thursday 10:01  Herbert Valerio Riedel <hvr@gnu.org>

	* debian/: copyright, watch: debian related updates

2002-07-25 Thursday 09:36  Herbert Valerio Riedel <hvr@gnu.org>

	* debian/watch: debian related updates

2002-07-25 Thursday 09:19  Herbert Valerio Riedel <hvr@gnu.org>

	* autogen.sh, debian/changelog, debian/control, debian/copyright,
	  debian/rules: debian related updates

2002-02-28 Thursday 13:22  Herbert Valerio Riedel <hvr@gnu.org>

	* .cvsignore: further work on mpeg code done

2002-02-24 Sunday 17:54  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdimager.cc: implemented new SectorSource
	  abstraction

2002-02-22 Friday 17:09  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/: vcd_debug.cc, vcdimager.cc: some work on new
	  ImageSrc class

2002-02-22 Friday 12:23  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/: cdxa2mpeg.cc, vcd_debug.cc: replaced
	  vcd_directory by libvcd::Filesystem

2002-02-21 Thursday 16:30  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdimager.cc: replaced lowlevel and highlevel
	  sector routines

2002-02-20 Wednesday 08:53  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in, frontends/Makefile.am, frontends/gnome/.cvsignore,
	  frontends/gnome/Makefile.am, frontends/gnome/macros/.cvsignore,
	  frontends/gnome/macros/Makefile.am,
	  frontends/gnome/macros/aclocal-include.m4,
	  frontends/gnome/macros/autogen.sh,
	  frontends/gnome/macros/compiler-flags.m4,
	  frontends/gnome/macros/curses.m4,
	  frontends/gnome/macros/gnome-bonobo-check.m4,
	  frontends/gnome/macros/gnome-common.m4,
	  frontends/gnome/macros/gnome-cxx-check.m4,
	  frontends/gnome/macros/gnome-fileutils.m4,
	  frontends/gnome/macros/gnome-gettext.m4,
	  frontends/gnome/macros/gnome-ghttp-check.m4,
	  frontends/gnome/macros/gnome-gnomemm-check.m4,
	  frontends/gnome/macros/gnome-gnorba-check.m4,
	  frontends/gnome/macros/gnome-guile-checks.m4,
	  frontends/gnome/macros/gnome-libgtop-check.m4,
	  frontends/gnome/macros/gnome-objc-checks.m4,
	  frontends/gnome/macros/gnome-orbit-check.m4,
	  frontends/gnome/macros/gnome-pilot.m4,
	  frontends/gnome/macros/gnome-print-check.m4,
	  frontends/gnome/macros/gnome-pthread-check.m4,
	  frontends/gnome/macros/gnome-support.m4,
	  frontends/gnome/macros/gnome-undelfs.m4,
	  frontends/gnome/macros/gnome-vfs.m4,
	  frontends/gnome/macros/gnome-x-checks.m4,
	  frontends/gnome/macros/gnome-xml-check.m4,
	  frontends/gnome/macros/gnome.m4,
	  frontends/gnome/macros/gperf-check.m4,
	  frontends/gnome/macros/linger.m4,
	  frontends/gnome/macros/need-declaration.m4,
	  frontends/gnome/src/.cvsignore,
	  frontends/gnome/src/GVCDImager.glade,
	  frontends/gnome/src/GVCDImager.hh,
	  frontends/gnome/src/GVCDImagerApp.cc,
	  frontends/gnome/src/GVCDImagerApp.hh,
	  frontends/gnome/src/GladeHelper.hh,
	  frontends/gnome/src/LibvcdWrapper.hh,
	  frontends/gnome/src/Makefile.am, frontends/gnome/src/main.cc:
	  removed dead gnome/popt code

2002-02-20 Wednesday 08:39  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/: Makefile.am, cdxa2mpeg.c, cdxa2mpeg.cc,
	  vcd_debug.c, vcd_debug.cc, vcdimager.c, vcdimager.cc: fixed to be
	  c++ compilable

2002-01-04 Friday 20:20  Herbert Valerio Riedel <hvr@gnu.org>

	* BUGS, FAQ, NEWS, README, TODO, configure.in, docs/vcdimager.texi,
	  frontends/cli/vcd_debug.c: getting ready for 0.7.12

2002-01-04 Friday 02:50  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, cygwin-dist.sh: SPI subheader + post-gap

2001-12-26 Wednesday 14:32  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am, configure.in, docs/Makefile.am, docs/vcdimager.texi,
	  frontends/cli/Makefile.am, frontends/cli/cdxa2mpeg.c,
	  frontends/xml/Makefile.am: cleaned up automake system

2001-12-23 Sunday 13:40  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, configure.in, cygwin-dist.sh, docs/vcdimager.texi: added
	  new tool cdxa2mpeg; add use of setvbuf to increase io buffers

2001-12-23 Sunday 13:35  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/: Makefile.am, cdxa2mpeg.c: added cdxa2mpeg tool

2001-11-27 Tuesday 17:33  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, configure.in, frontends/cli/vcd_debug.c: improved support
	  for SVCD and CVD-style subtitles

2001-10-21 Sunday 13:14  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, configure.in, docs/Makefile.am, docs/fdl.texi,
	  docs/vcdimager.texi, frontends/xml/vcd_xml_rip.c: 0.7.11

2001-09-28 Friday 20:32  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, configure.in, frontends/xml/vcd_xml_build.c,
	  frontends/xml/vcd_xml_master.c, frontends/xml/vcdxml.h: see
	  changelog

2001-09-28 Friday 20:06  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/vcd_xml_rip.c: see changelog

2001-09-20 Thursday 18:05  Herbert Valerio Riedel <hvr@gnu.org>

	* TODO, frontends/xml/vcd_xml_common.c,
	  frontends/xml/vcd_xml_common.h, frontends/xml/vcd_xml_parse.c,
	  frontends/xml/vcd_xml_rip.c: see changelog

2001-09-05 Wednesday 07:26  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: vcd_xml_build.c, vcd_xml_dtd.c: libxml2 related
	  fix;see ChangeLog

2001-08-30 Thursday 20:18  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/: cli/vcd_debug.c, xml/vcd_xml_rip.c: added __bsdi__
	  cdrom support

2001-08-30 Thursday 17:23  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, frontends/xml/vcd_xml_rip.c: improved linux cdrom support

2001-08-29 Wednesday 22:54  Arnd Bergmann <arnd@itreff.de>

	* frontends/cli/: Makefile.am, vcdimager.c, vcdrecord.c: added
	  experimental branch with real time input

2001-08-29 Wednesday 18:15  Arnd Bergmann <arnd@itreff.de>

	* NEWS, configure.in, docs/Makefile.am, docs/vcdimager.1,
	  docs/vcdimager.texi, frontends/cli/Makefile.am,
	  frontends/cli/vcd_debug.c, frontends/cli/vcdimager.1,
	  frontends/cli/vcdimager.c, frontends/xml/Makefile.am,
	  frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_common.c,
	  frontends/xml/vcd_xml_common.h, frontends/xml/vcd_xml_gen.c,
	  frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_minfo.c,
	  frontends/xml/vcd_xml_rip.c, frontends/xml/videocd.dtd: update to
	  0.7.10

2001-08-29 Wednesday 14:52  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, frontends/cli/vcdimager.c: see changelog; final

2001-08-29 Wednesday 13:21  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, configure.in, docs/Makefile.am, docs/vcdimager.1,
	  docs/vcdimager.texi, frontends/cli/Makefile.am,
	  frontends/cli/vcd_debug.c, frontends/cli/vcdimager.1,
	  frontends/cli/vcdimager.c, frontends/xml/Makefile.am,
	  frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_common.c,
	  frontends/xml/vcd_xml_common.h, frontends/xml/vcd_xml_gen.c,
	  frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_minfo.c,
	  frontends/xml/vcd_xml_rip.c, frontends/xml/videocd.dtd: see
	  changelog;making ready for 0.7.10 final

2001-08-28 Tuesday 21:33  Arnd Bergmann <arnd@itreff.de>

	* frontends/cli/vcdimager.c: updated to new parameter setting
	  method in vcd_image_vpkt

2001-08-28 Tuesday 19:50  Arnd Bergmann <arnd@itreff.de>

	* NEWS, configure.in, frontends/cli/vcd_debug.c,
	  frontends/cli/vcdimager.c, frontends/xml/vcd_xml_build.c,
	  frontends/xml/vcd_xml_common.c, frontends/xml/vcd_xml_common.h,
	  frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_master.c,
	  frontends/xml/vcd_xml_master.h, frontends/xml/vcd_xml_minfo.c,
	  frontends/xml/vcd_xml_rip.c: merged with 0.7.10-pre5

2001-08-28 Tuesday 14:37  Arnd Bergmann <arnd@itreff.de>

	* frontends/: cli/.cvsignore, cli/vcdimager.c, xml/.cvsignore:
	  initially merged cdwriting output to current tree

2001-08-28 Tuesday 14:00  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, configure.in, frontends/cli/vcd_debug.c,
	  frontends/cli/vcdimager.c, frontends/xml/vcd_xml_build.c,
	  frontends/xml/vcd_xml_common.c, frontends/xml/vcd_xml_common.h,
	  frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_master.c,
	  frontends/xml/vcd_xml_master.h, frontends/xml/vcd_xml_minfo.c,
	  frontends/xml/vcd_xml_rip.c: see changelog; pre5

2001-08-25 Saturday 09:38  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, docs/vcdimager.texi, frontends/xml/vcd_xml_master.c,
	  frontends/xml/vcd_xml_parse.c, frontends/xml/vcdxml.h,
	  frontends/xml/videocd.dtd: see changelog

2001-08-23 Thursday 16:38  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, configure.in, docs/vcdimager.texi,
	  frontends/cli/vcd_debug.c: see changelog

2001-08-23 Thursday 00:08  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/vcd_xml_minfo.c: see changelog

2001-08-22 Wednesday 23:14  Herbert Valerio Riedel <hvr@gnu.org>

	* docs/vcdimager.texi, frontends/cli/vcd_debug.c,
	  frontends/xml/vcd_xml_common.c, frontends/xml/vcd_xml_master.c,
	  frontends/xml/vcd_xml_minfo.c, frontends/xml/vcdxml.h: see
	  changelog

2001-08-21 Tuesday 16:58  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in: see changelog / pre2

2001-08-20 Monday 18:46  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, configure.in: see changelog

2001-08-16 Thursday 08:41  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: Makefile.am, vcd_xml_common.c, vcd_xml_gen.c,
	  vcd_xml_minfo.c: see changelog

2001-08-15 Wednesday 22:08  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/: cli/vcd_debug.c, xml/Makefile.am, xml/vcd_xml_rip.c:
	  see changelog

2001-08-07 Tuesday 14:13  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/vcd_xml_common.c: added missing rcsids

2001-08-07 Tuesday 14:05  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, frontends/cli/vcd_debug.c, frontends/xml/Makefile.am,
	  frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_common.c,
	  frontends/xml/vcd_xml_common.h, frontends/xml/vcd_xml_master.c:
	  progress and gui mode

2001-08-03 Friday 19:40  Herbert Valerio Riedel <hvr@gnu.org>

	* amiga/v_snprintf.c: minor fix

2001-08-02 Thursday 00:17  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, configure.in, debian/changelog, debian/info,
	  docs/vcdimager.texi: 0.7.8

2001-08-01 Wednesday 16:36  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, docs/Makefile.am, docs/vcdimager.texi,
	  frontends/cli/vcd_debug.c, frontends/xml/vcd_xml_parse.c: see
	  ChangeLog

2001-08-01 Wednesday 12:25  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am, configure.in: see ChangeLog

2001-07-31 Tuesday 18:49  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcd_debug.c: see ChangeLog

2001-07-31 Tuesday 16:17  Herbert Valerio Riedel <hvr@gnu.org>

	* docs/vcdimager.texi: documentation updates

2001-07-31 Tuesday 10:44  Herbert Valerio Riedel <hvr@gnu.org>

	* FAQ, NEWS, docs/vcdimager.texi, frontends/xml/vcd_xml_dump.c,
	  frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_parse.c,
	  frontends/xml/vcd_xml_rip.c: see ChangeLog

2001-07-31 Tuesday 00:20  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/: cli/vcd_debug.c, cli/vcdimager.c, xml/vcd_xml_dump.c,
	  xml/vcd_xml_gen.c, xml/vcd_xml_master.c, xml/vcd_xml_parse.c,
	  xml/vcd_xml_rip.c, xml/vcdxml.h: see ChangeLog

2001-07-28 Saturday 20:45  Herbert Valerio Riedel <hvr@gnu.org>

	* cygwin-dist.sh: 0.7.8

2001-07-28 Saturday 20:27  Herbert Valerio Riedel <hvr@gnu.org>

	* BUGS, NEWS, README, TODO, configure.in, cygwin-dist.sh,
	  docs/vcdimager.texi: 0.7.8

2001-07-28 Saturday 00:58  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, THANKS, configure.in, docs/vcdimager.texi,
	  frontends/xml/videocd.dtd: updated documentation

2001-07-27 Friday 22:24  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: vcd_xml_build.c, vcd_xml_dump.c, vcd_xml_gen.c,
	  vcd_xml_master.c, vcd_xml_minfo.c, vcd_xml_parse.c,
	  vcd_xml_rip.c, vcdxml.h, videocd.dtd: default_entry

2001-07-27 Friday 15:52  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in: pre3

2001-07-27 Friday 15:25  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: vcd_xml_dump.c, vcd_xml_parse.c, vcd_xml_rip.c:
	  extended end list

2001-07-27 Friday 15:07  Herbert Valerio Riedel <hvr@gnu.org>

	* cygwin-dist.sh, frontends/cli/vcd_debug.c,
	  frontends/xml/vcd_xml_dump.c, frontends/xml/vcd_xml_minfo.c,
	  frontends/xml/vcd_xml_parse.c, frontends/xml/vcd_xml_rip.c,
	  frontends/xml/videocd.dtd: multi default list, end list, misc
	  stuff

2001-07-26 Thursday 19:19  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: Makefile.am, vcd_xml_minfo.c: added new mpeg tool

2001-07-25 Wednesday 18:48  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: vcd_xml_master.c, videocd.dtd: fixed typo

2001-07-25 Wednesday 15:21  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in, frontends/cli/vcdimager.c,
	  frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_dump.c,
	  frontends/xml/vcd_xml_gen.c: misc improvements

2001-07-20 Friday 16:29  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in, frontends/cli/vcd_debug.c,
	  frontends/xml/vcd_xml_dump.c, frontends/xml/vcd_xml_gen.c,
	  frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_parse.c,
	  frontends/xml/vcd_xml_rip.c, frontends/xml/vcdxml.h, NEWS, TODO,
	  docs/vcdimager.texi: reverted autoplay shit

2001-07-01 Sunday 20:19  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: vcd_xml_build.c, vcd_xml_master.c,
	  vcd_xml_master.h: nrg output

2001-06-30 Saturday 22:11  Herbert Valerio Riedel <hvr@gnu.org>

	* README, configure.in: 0.7.7!

2001-06-30 Saturday 21:27  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, docs/vcdimager.texi, frontends/cli/vcd_debug.c,
	  frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_dump.c,
	  frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_master.c,
	  frontends/xml/vcd_xml_parse.c, frontends/xml/vcd_xml_rip.c,
	  frontends/xml/vcdxml.h, frontends/xml/videocd.dtd: making ready
	  for 0.7.7

2001-06-25 Monday 13:55  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/: cli/vcd_debug.c, xml/vcd_xml_build.c,
	  xml/vcd_xml_master.c, xml/vcd_xml_master.h: item file entry
	  bugfix

2001-06-22 Friday 17:46  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/videocd.dtd: added missing next-volume decl

2001-06-20 Wednesday 15:59  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/videocd.dtd: fixed DTD

2001-06-16 Saturday 19:26  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am: last minute changes

2001-06-16 Saturday 19:10  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am: last minute changes

2001-06-16 Saturday 18:36  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, configure.in, docs/vcdimager.texi: updating documentation

2001-06-16 Saturday 13:41  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS: working towards 0.7.6

2001-06-12 Tuesday 21:49  Herbert Valerio Riedel <hvr@gnu.org>

	* vcdimager.spec.in: assume compressed info files

2001-06-12 Tuesday 21:27  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, configure.in: getting 0.7.5 ready

2001-06-12 Tuesday 18:46  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in: error instead of warnings

2001-06-12 Tuesday 18:41  Herbert Valerio Riedel <hvr@gnu.org>

	* docs/: Makefile.am, glossary.texi, vcdimager.texi: documentation
	  updates

2001-06-11 Monday 14:33  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, docs/Makefile.am, docs/glossary.texi, docs/vcdimager.texi,
	  frontends/cli/vcdimager.c, frontends/xml/vcd_xml_gen.c,
	  frontends/xml/vcd_xml_master.c, frontends/xml/vcdxml.h: syncup
	  with cvs

2001-06-07 Thursday 16:47  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, README, configure.in, docs/vcdimager.texi,
	  frontends/cli/vcdimager.c, frontends/xml/vcd_xml_master.c: 0.7.4

2001-06-07 Thursday 10:12  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, frontends/xml/vcd_xml_dump.c, frontends/xml/vcd_xml_rip.c:
	  getting closer to 0.7.4

2001-06-07 Thursday 00:39  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/vcd_xml_rip.c: makin progress

2001-06-06 Wednesday 20:37  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/: cli/vcd_debug.c, xml/vcd_xml_dump.c: ...

2001-06-06 Wednesday 19:10  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcd_debug.c: iso9660 related stuff

2001-06-04 Monday 13:40  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/vcd_xml_parse.c: parse extended attribs

2001-06-03 Sunday 20:00  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcd_debug.c: cleanups

2001-06-03 Sunday 14:39  Viral Shah <viral@debian.org>

	* debian/: rules, substvars: substvars not required too

2001-06-03 Sunday 14:37  Viral Shah <viral@debian.org>

	* debian/: postinst.debhelper, prerm.debhelper: Remove .debhelper
	  files as they are auto-generated

2001-06-03 Sunday 14:32  Herbert Valerio Riedel <hvr@gnu.org>

	* docs/vcdimager.texi: doc updates

2001-06-03 Sunday 12:00  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, frontends/xml/vcd_xml_dump.c: fixed typo

2001-06-02 Saturday 19:23  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, README, configure.in, docs/vcdimager.texi,
	  frontends/cli/vcd_debug.c, frontends/xml/vcd_xml_dump.c,
	  frontends/xml/vcd_xml_rip.c: 0.7.3

2001-06-01 Friday 08:55  Herbert Valerio Riedel <hvr@gnu.org>

	* docs/vcdimager.1: forgot this file

2001-06-01 Friday 00:34  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcd_debug.c: extended PBC dumping

2001-05-31 Thursday 23:24  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: vcd_xml_dump.c, vcd_xml_rip.c, vcdxml.h: file
	  extraction implemented

2001-05-31 Thursday 16:58  Herbert Valerio Riedel <hvr@gnu.org>

	* TODO, frontends/cli/vcd_debug.c: XA

2001-05-31 Thursday 12:38  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcd_debug.c: isofs dumping

2001-05-31 Thursday 00:31  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, configure.in, docs/Makefile.am: 0.7.2

2001-05-30 Wednesday 23:27  Herbert Valerio Riedel <hvr@gnu.org>

	* docs/: glossary.texi, gpl.texi, vcdimager.texi: documentation
	  improvements

2001-05-30 Wednesday 17:31  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: vcd_xml_gen.c, vcd_xml_master.c, vcd_xml_parse.c,
	  vcdxml.h: EOR/SPI; relaxed aps; xml option handling;"

2001-05-29 Tuesday 12:16  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in, frontends/cli/vcd_debug.c,
	  frontends/cli/vcdimager.c, frontends/xml/Makefile.am,
	  frontends/xml/vcd_xml_gen.c: broken svcd mode

2001-05-29 Tuesday 00:57  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am, configure.in: vcd_types.h

2001-05-28 Monday 17:33  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/: cli/vcdimager.c, xml/Makefile.am: changes from KSW

2001-05-28 Monday 15:05  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/: cli/vcd_debug.c, xml/vcd_xml_rip.c: SPI subheader fix
	  for VCD2.0

2001-05-27 Sunday 20:28  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, TODO, vcdimager.spec.in: ...

2001-05-27 Sunday 20:05  Herbert Valerio Riedel <hvr@gnu.org>

	* docs/.cvsignore: ...

2001-05-27 Sunday 20:02  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am, NEWS, configure.in, cygwin-dist.sh,
	  vcdimager.spec.in, docs/Makefile.am, docs/gpl.texi,
	  docs/vcdimager.texi, frontends/cli/Makefile.am,
	  frontends/cli/gpl.texi, frontends/cli/vcdimager.texi,
	  frontends/cli/vcdrip.1, frontends/cli/vcdrip.c,
	  frontends/xml/vcd_xml_rip.c: making ready for v0.7.1

2001-05-26 Saturday 22:19  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/: cli/vcd_debug.c, cli/vcdimager.c,
	  xml/vcd_xml_build.c, xml/vcd_xml_dtd.c, xml/vcd_xml_dump.c,
	  xml/vcd_xml_gen.c, xml/vcd_xml_master.c, xml/vcd_xml_parse.c,
	  xml/vcd_xml_rip.c: use own vcd_assert

2001-05-26 Saturday 17:28  Viral Shah <viral@debian.org>

	* debian/: control, substvars: Misc. debian updates, now a native
	  debian package.

2001-05-26 Saturday 13:24  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/: cli/vcd_debug.c, xml/vcd_xml_build.c,
	  xml/vcd_xml_rip.c: added linux cdrom image source

2001-05-26 Saturday 12:17  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/: cli/vcd_debug.c, xml/vcd_xml_rip.c: detect rejected
	  lids

2001-05-26 Saturday 01:17  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/: cli/vcd_debug.c, xml/vcd_xml_rip.c: doh

2001-05-25 Friday 17:30  Herbert Valerio Riedel <hvr@gnu.org>

	* cygwin-dist.sh, frontends/cli/Makefile.am,
	  frontends/cli/vcd_debug.c, frontends/xml/vcd_xml_dump.c,
	  frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_parse.c,
	  frontends/xml/vcd_xml_rip.c: moving on...

2001-05-24 Thursday 00:41  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, README, cygwin-dist.sh, vcdimager.spec.in: making ready for
	  release

2001-05-23 Wednesday 19:10  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am, frontends/cli/vcdimager.c,
	  frontends/xml/vcd_xml_gen.c: charset constraint enforcing

2001-05-23 Wednesday 15:16  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in: moved debug to tests

2001-05-23 Wednesday 14:01  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: vcd_xml_build.c, vcd_xml_gen.c, vcd_xml_parse.c,
	  vcd_xml_rip.c, vcdxml.h: xml stuff

2001-05-22 Tuesday 13:41  Herbert Valerio Riedel <hvr@gnu.org>

	* HACKING, Makefile.am: added HACKING file

2001-05-22 Tuesday 13:04  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in, frontends/Makefile.am, frontends/xml/Makefile.am:
	  remove gnome frontend from core distribution

2001-05-22 Tuesday 12:38  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: vcd_xml_dump.c, vcd_xml_master.c,
	  vcd_xml_parse.c, vcd_xml_rip.c: getting nearer to feature
	  completition

2001-05-22 Tuesday 01:15  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: vcd_xml_build.c, vcd_xml_dtd.c, vcd_xml_dump.c,
	  vcd_xml_master.c, vcd_xml_parse.c, vcd_xml_rip.c: added missing
	  rcsid's

2001-05-22 Tuesday 01:11  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/vcd_xml_rip.c: lets work on ripping sequences...

2001-05-21 Monday 22:24  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: Makefile.am, vcd_xml_dump.c, vcd_xml_dump.h,
	  vcd_xml_gen.c, vcd_xml_master.c, vcd_xml_parse.c, vcd_xml_rip.c,
	  vcdxml.h: segment ripping

2001-05-21 Monday 19:59  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: vcd_xml_dump.c, vcd_xml_gen.c: modularized
	  vcd_xml_gen"

2001-05-21 Monday 17:02  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: vcd_xml_dump.c, vcd_xml_rip.c: syncin' with cvs

2001-05-21 Monday 13:02  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: Makefile.am, vcd_xml_dump.c, vcd_xml_dump.h,
	  vcd_xml_rip.c, vcdxml.h: detect video stream type of mpeg stream;
	  xml frontend improvements;

2001-05-19 Saturday 16:30  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am, NEWS, TODO, configure.in: new debug/testtool
	  directory added; rewrote to use PTS instead of GOP timecodes;
	  updated few textfiles

2001-05-17 Thursday 12:55  Viral Shah <viral@debian.org>

	* debian/: changelog, copyright, docs, files: Misc debian updates
	  for 0.6.2-2

2001-05-17 Thursday 12:47  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, configure.in, frontends/xml/vcd_xml_rip.c,
	  frontends/xml/vcdxml.h: work on xml ripper....

2001-05-17 Thursday 09:33  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: Makefile.am, vcd_xml_rip.c: added placeholder for
	  xml based restore/disassemble tool

2001-05-17 Thursday 09:24  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: vcd_xml_build.c, vcd_xml_gen.c, vcd_xml_master.c,
	  vcd_xml_master.h: added command line parsing

2001-05-17 Thursday 00:56  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/Makefile.am: typo...

2001-05-17 Thursday 00:54  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in, frontends/xml/Makefile.am,
	  frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_dtd.c,
	  frontends/xml/vcd_xml_dtd.h, frontends/xml/vcd_xml_gen.c,
	  frontends/xml/vcdxml.c, frontends/xml/videocd.dtd: added new XML
	  frontend, vcdxgen, renamed vcdxml to vcdxbuild

2001-05-16 Wednesday 17:16  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in, frontends/xml/Makefile.am: detect awk binary

2001-05-15 Tuesday 16:38  Viral Shah <viral@debian.org>

	* debian/: changelog, control, files, watch: debian files for 0.6.2

2001-05-15 Tuesday 11:52  Herbert Valerio Riedel <hvr@gnu.org>

	* BUGS, Makefile.am, NEWS, README, debian/changelog,
	  debian/control, debian/copyright, debian/dirs, debian/docs,
	  debian/files, debian/info, debian/postinst.debhelper,
	  debian/prerm.debhelper, debian/rules, debian/substvars,
	  debian/watch, frontends/cli/vcdimager.1,
	  frontends/cli/vcdimager.texi, frontends/cli/vcdrip.1,
	  frontends/cli/vcdrip.c: merged from stable branch, up to 0.6.2
	  final

2001-05-15 Tuesday 01:09  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in: preparing 0.6.2...

2001-05-15 Tuesday 01:08  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, README: update README/NEWS

2001-05-15 Tuesday 01:00  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS: making ready for 0.6.2 final

2001-05-15 Tuesday 00:57  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/: cli/vcdimager.c, xml/vcd_xml_master.c, xml/vcdxml.c:
	  new old image bin cue writer

2001-05-14 Monday 23:07  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in, frontends/xml/Makefile.am,
	  frontends/xml/vcd_xml_parse.c, frontends/xml/vcdxml.c: new image
	  abstraction

2001-05-14 Monday 17:35  Herbert Valerio Riedel <hvr@gnu.org>

	* BUGS, frontends/cli/vcdimager.c, frontends/xml/vcd_xml_master.c,
	  frontends/xml/vcd_xml_parse.c, frontends/xml/vcdxml.c,
	  frontends/xml/vcdxml.h, frontends/xml/videocd.dtd: making
	  progress...

2001-05-14 Monday 11:25  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/vcd_xml_parse.c: sync with cvs

2001-05-13 Sunday 14:01  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/gnome/macros/: Makefile.am, libxml.m4: removed
	  libxml.m4 again, since it comes with the libxml package

2001-05-13 Sunday 10:05  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, TODO, frontends/xml/vcd_xml_parse.c: did some work on xml
	  parser

2001-05-13 Sunday 00:44  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdrip.c: done work on PBC support

2001-05-12 Saturday 22:10  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in, frontends/Makefile.am, frontends/cli/Makefile.am,
	  frontends/gnome/macros/.cvsignore,
	  frontends/gnome/src/Makefile.am, frontends/xml/.cvsignore,
	  frontends/xml/Makefile.am: further automake improvements...

2001-05-12 Saturday 21:33  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in, frontends/gnome/macros/Makefile.am,
	  frontends/gnome/macros/libxml.m4, frontends/xml/Makefile.am:
	  fixed automake system, added libxml m4 script

2001-05-12 Saturday 20:31  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: vcd_xml_master.c, vcd_xml_parse.c, vcdxml.h: sync
	  PBC stuff with cvs

2001-05-12 Saturday 15:23  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/videocd.dtd: started work on pbc improvements

2001-05-12 Saturday 12:34  Viral Shah <viral@debian.org>

	* README: Just checking $ in README

2001-05-12 Saturday 12:31  Viral Shah <viral@debian.org>

	* README, debian/watch, frontends/cli/vcdimager.texi: Texinfo file
	  update

2001-05-12 Saturday 04:27  Viral Shah <viral@debian.org>

	* README, debian/changelog, debian/control, debian/docs,
	  debian/files, debian/rules: Changes to debian subdir for 0.6.1
	  and a corrected README

2001-05-11 Friday 23:25  Herbert Valerio Riedel <hvr@gnu.org>

	* BUGS, frontends/cli/vcdrip.c: fixed some ripping issues

2001-05-11 Friday 22:30  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdrip.c: fixed ripspi bug, improved minor svcd
	  error

2001-05-11 Friday 22:25  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/: cli/vcdrip.c, xml/videocd.dtd: implemented segment
	  play items

2001-05-11 Friday 17:28  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdrip.c: finally implemented adding additional
	  entry points

2001-05-11 Friday 16:43  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/: cli/vcdimager.c, xml/vcd_xml_master.c,
	  xml/vcd_xml_parse.c, xml/vcdxml.h: enhanced libvcd api, working
	  towards PBC stuff...; done major work on xml frontend

2001-05-11 Friday 13:31  Herbert Valerio Riedel <hvr@gnu.org>

	* BUGS, README: ...

2001-05-11 Friday 13:12  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/: vcdimager.1, vcdrip.1: updated man pages for
	  0.6.2

2001-05-11 Friday 10:43  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am, debian/changelog, debian/control, debian/copyright,
	  debian/dirs, debian/docs, debian/files, debian/info,
	  debian/postinst.debhelper, debian/prerm.debhelper, debian/rules,
	  debian/substvars: added debian rules by viral@debian.org

2001-05-10 Thursday 23:32  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: vcd_xml_master.c, vcd_xml_parse.c, vcdxml.h,
	  videocd.dtd: synced with 0.6.2rc3; improved xml frontend...

2001-05-10 Thursday 22:29  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in: fixed <= comparisions which should have been <
	  comps...

2001-05-10 Thursday 17:25  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: Makefile.am, vcd_xml_master.c, vcd_xml_master.h,
	  vcd_xml_parse.c, vcd_xml_parse.h, vcdxml.c, vcdxml.h: syncing up
	  with cvs

2001-05-09 Wednesday 16:09  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: Makefile.am, vcd_xml_parse.c, vcd_xml_parse.h,
	  vcdxml.c, vcdxml.h, videocd.dtd: done some work on XML 'frontend'

2001-05-08 Tuesday 16:30  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: vcdxml.c, videocd.dtd: further work done...
	  making progress...

2001-05-08 Tuesday 09:59  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/videocd.dtd: DTD update...

2001-05-07 Monday 18:52  Herbert Valerio Riedel <hvr@gnu.org>

	* .cvsignore, BUGS, FAQ, Makefile.am, NEWS, cygwin-dist.sh,
	  frontends/cli/vcdimager.c, frontends/cli/vcdimager.texi: merged
	  changes upto 0.6.2rc2

2001-05-07 Monday 11:24  Herbert Valerio Riedel <hvr@gnu.org>

	* .cvsignore, BUGS, frontends/cli/vcdimager.c,
	  frontends/cli/vcdimager.texi: added warnings, when overwritting
	  existing files...; minor documentation update; cvsignore

2001-05-07 Monday 01:51  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am, NEWS, configure.in, cygwin-dist.sh: added cygwin
	  script...

2001-05-06 Sunday 16:12  Herbert Valerio Riedel <hvr@gnu.org>

	* FAQ, frontends/cli/vcdimager.c: made albumid/albumset stuff
	  configurable

2001-05-05 Saturday 21:42  Herbert Valerio Riedel <hvr@gnu.org>

	* FAQ, Makefile.am, NEWS, TODO, vcdimager.spec.in,
	  frontends/cli/vcdimager.c, frontends/cli/vcdrip.c: merge upto
	  0.6.2 release candidate 1

2001-05-05 Saturday 17:06  Herbert Valerio Riedel <hvr@gnu.org>

	* BUGS, Makefile.am, NEWS, README, THANKS, TODO, configure.in,
	  frontends/cli/vcdimager.c, frontends/cli/vcdrip.c: merged changes
	  between rel_0_6_0 and rel_0_6_1 to HEAD

2001-05-05 Saturday 16:46  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/xml/: vcdxml.c, videocd.dtd: backup to cvs...

2001-05-04 Friday 22:40  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS: ...

2001-05-04 Friday 22:35  Herbert Valerio Riedel <hvr@gnu.org>

	* FAQ, Makefile.am, TODO, vcdimager.spec.in: added FAQ

2001-05-04 Friday 19:41  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in: release candidate 1

2001-05-04 Friday 19:30  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, frontends/cli/vcdimager.c, frontends/cli/vcdrip.c: major
	  overhaul

2001-05-01 Tuesday 14:44  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdimager.c: another last minute change

2001-05-01 Tuesday 14:27  Herbert Valerio Riedel <hvr@gnu.org>

	* BUGS, Makefile.am, README: last minute changes

2001-05-01 Tuesday 13:18  Herbert Valerio Riedel <hvr@gnu.org>

	* BUGS, NEWS, README, THANKS, TODO, configure.in: making 0.6.1
	  ready

2001-04-29 Sunday 14:18  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdrip.c: various minor fixes concering APS
	  scanning, svcd subheader, pem...

2001-04-29 Sunday 10:08  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdimager.c: fixed 2336-mode operation

2001-04-26 Thursday 00:30  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdrip.c: nothing noteworthy

2001-04-25 Wednesday 23:54  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in, frontends/cli/vcdrip.c: added bitfield ordering
	  test to configure.in

2001-04-25 Wednesday 18:06  Herbert Valerio Riedel <hvr@gnu.org>

	* TODO, frontends/cli/vcdrip.c: fixed tracks.svd to comply with
	  standards

2001-04-16 Monday 13:50  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdimager.c: typo fixes

2001-04-16 Monday 13:24  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in, frontends/Makefile.am, frontends/xml/Makefile.am,
	  frontends/xml/vcdxml.c, frontends/xml/videocd.dtd: started xml
	  frontend

2001-04-15 Sunday 16:28  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, TODO, configure.in, frontends/cli/vcdrip.c: finished 0.6.0
	  release

2001-04-15 Sunday 10:41  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdrip.c: --rip-spi added; little boundary fix;

2001-03-18 Sunday 00:18  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS: wrote NEWS entry for beta4

2001-03-18 Sunday 00:13  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in, frontends/cli/vcdimager.c: --add-dir option added

2001-03-17 Saturday 19:34  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdrip.c: implemented --sector-2336, --verbose and
	  --quiet options

2001-03-17 Saturday 16:19  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in, vcdimager.spec.in, frontends/cli/Makefile.am,
	  frontends/cli/gpl.texi, frontends/cli/vcdimager.texi:
	  documentation improvements; add .ps.gz manual to rpm;

2001-03-16 Friday 17:39  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/: gpl.texi, vcdimager.texi: revamped texinfo
	  documentation...

2001-03-15 Thursday 11:20  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdimager.texi: * libvcd/vcd.c (vcd_obj_add_file):
	  check that raw file is not zero sized
	  (_finalize_vcd_iso_track): fix zero custom file	  size
	  handling * libvcd/vcd_cd_sector.h (CD_MAX_SECTORS): reduced max
	  sector count take into account that a image	   starts on
	  00:02:00 * libvcd/vcd.c (vcd_obj_add_file): added fix from
	  Phoury Lei to reduce fd leaking

2001-03-11 Sunday 02:29  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, README, configure.in, frontends/cli/vcdrip.1: added popt;
	  handle assert better; added forgotten man page; update files for
	  beta3

2001-03-10 Saturday 21:47  Herbert Valerio Riedel <hvr@gnu.org>

	* .cvsignore, configure.in, frontends/cli/Makefile.am,
	  frontends/cli/vcdimager.c, frontends/cli/vcdrip.c,
	  frontends/gnome/macros/curses.m4,
	  frontends/gnome/macros/gnome-cxx-check.m4,
	  frontends/gnome/macros/gnome-gettext.m4,
	  frontends/gnome/macros/gnome-libgtop-check.m4,
	  frontends/gnome/macros/gnome-pilot.m4,
	  frontends/gnome/macros/gnome-print-check.m4,
	  frontends/gnome/macros/gnome-vfs.m4,
	  frontends/gnome/macros/gnome-x-checks.m4,
	  frontends/gnome/macros/linger.m4,
	  frontends/gnome/macros/need-declaration.m4,
	  frontends/gnome/src/GVCDImagerApp.cc,
	  frontends/gnome/src/main.cc: switched to HAVE_CONFIG_H system
	  embedded popt as fallback if the system lacks it extended version
	  information by architecture

2001-03-09 Friday 01:02  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am, configure.in: improved portability considerably

2001-01-21 Sunday 18:10  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/Makefile.am: see changelog

2001-01-21 Sunday 18:00  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, TODO, configure.in, frontends/cli/vcdimager.1: see
	  changelog

2001-01-20 Saturday 23:32  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, frontends/cli/vcdimager.texi, frontends/cli/vcdrip.c: see
	  changelog

2001-01-20 Saturday 18:52  Herbert Valerio Riedel <hvr@gnu.org>

	* vcdimager.spec.in, frontends/cli/vcdimager.1,
	  frontends/cli/vcdimager.c, frontends/cli/vcdrip.c: see changelog

2001-01-20 Saturday 17:11  Herbert Valerio Riedel <hvr@gnu.org>

	* TODO, frontends/cli/vcdrip.c: see changelog

2001-01-16 Tuesday 11:18  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, configure.in, frontends/cli/vcdrip.c: see changelog

2001-01-13 Saturday 14:21  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, configure.in, vcdimager.spec.in,
	  frontends/cli/vcdimager.texi: see changelog

2001-01-13 Saturday 14:02  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/: vcdimager.c, vcdrip.c: see changelog

2001-01-12 Friday 14:34  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdrip.c: see changelog

2001-01-11 Thursday 00:46  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdrip.c: see changelog

2001-01-06 Saturday 22:56  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/: vcdimager.c, vcdrip.c: see changelog

2001-01-06 Saturday 17:20  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdrip.c: last minute typo

2001-01-06 Saturday 17:09  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, configure.in, frontends/cli/vcdrip.c: see changelog

2001-01-06 Saturday 02:29  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, frontends/cli/vcdimager.c, frontends/cli/vcdrip.c: see
	  changelog

2001-01-05 Friday 20:24  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, frontends/cli/vcdimager.texi: see changelog

2001-01-04 Thursday 00:19  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, vcdimager.spec.in, frontends/cli/vcdrip.c: see changelog

2001-01-03 Wednesday 16:39  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, README, TODO, configure.in: see changelog

2001-01-03 Wednesday 16:25  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, configure.in, frontends/cli/vcdrip.c,
	  frontends/cli/vcdimager.c: see changelog

2001-01-01 Monday 14:48  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdimager.c, configure.in: see changelog

2000-12-23 Saturday 23:17  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdimager.1: see changelog

2000-12-23 Saturday 22:45  Herbert Valerio Riedel <hvr@gnu.org>

	* THANKS: see changelog... getting closer

2000-12-23 Saturday 17:58  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, README, THANKS, configure.in, vcdimager.spec.in,
	  frontends/cli/vcdimager.c, frontends/cli/vcdimager.texi,
	  frontends/cli/vcdrip.c: see changelog

2000-12-23 Saturday 02:23  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdrip.c: see changelog

2000-12-23 Saturday 02:08  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/: vcdimager.c, vcdrip.c: see changelog

2000-12-19 Tuesday 01:06  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in: see changelog

2000-12-17 Sunday 14:24  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdrip.c: see changelog

2000-12-17 Sunday 11:57  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdimager.c: see changelog

2000-12-17 Sunday 00:22  Herbert Valerio Riedel <hvr@gnu.org>

	* configure.in, frontends/cli/Makefile.am,
	  frontends/gnome/src/GVCDImager.glade,
	  frontends/gnome/src/GVCDImager.hh,
	  frontends/gnome/src/GVCDImagerApp.cc,
	  frontends/gnome/src/GVCDImagerApp.hh,
	  frontends/gnome/src/LibvcdWrapper.hh,
	  frontends/gnome/src/Makefile.am, frontends/gnome/src/main.cc: see
	  changelog

2000-11-21 Tuesday 00:30  Herbert Valerio Riedel <hvr@gnu.org>

	* NEWS, configure.in, frontends/cli/vcdimager.c: see changelog

2000-11-19 Sunday 20:51  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/: Makefile.am, vcdimager.c, vcdrip.c: 2000-11-19
	  Herbert Valerio Riedel  <hvr@gnu.org>

		  * frontends/cli/vcdrip.c: removed glib dependancy

		  * libvcd/vcd_bytesex.h: added _FROM_ macros

		  * frontends/cli/vcdimager.c: removed glib dependancy

2000-11-19 Sunday 11:26  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdimager.c: see changelog (svcd support almost
	  working)

2000-11-14 Tuesday 19:15  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/: vcdimager.c, vcdrip.c: see changelog... C:-)

2000-11-13 Monday 00:05  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/: vcdimager.c, vcdrip.c: fixed indentation

2000-11-12 Sunday 19:41  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdrip.c:	* libvcd/vcd_obj.h: added
	  VcdDirectory *dir to _VcdObj

		  * libvcd/vcd_directory.c: introduced directory object,
	  prefixed exported
			  symbols with 'vcd_'

		  * libvcd/vcd.c (_finalize_vcd_iso_track): added
	  preliminary svcd support

		  * libvcd/vcd.h: added vcd_obj_add_file() prototype

		  * libvcd/vcd_mpeg.c: made tables static

2000-11-10 Friday 17:18  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/cli/vcdimager.c:	* frontends/cli/vcdimager.c:
	  removed cdi support

		  * libvcd/vcd.c: reformating, removed removed
	  vcd_obj_set_cdi_input(),
		  (_callback_wrapper): adapted to new progress_callback_t
	  prototype

2000-11-10 Friday 16:50  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/gnome/src/: GVCDImager.glade, GVCDImagerApp.cc:	*
	  libvcd/vcd.h: added comments, removed vcd_obj_set_cdi_input(),
			  changed progress_callback_t signature, added
	  progress_info_t
			  struct

2000-11-09 Thursday 00:33  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am, configure.in:	* libvcd/vcd.c (_write_sectors):
	  s/vcd_warning/vcd_warn/
		  * libvcd/vcd_files.c (set_info_vcd): removed obsolete
	  comment

2000-11-09 Thursday 00:14  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/gnome/macros/: Makefile.am, autogen.sh,
	  gnome-bonobo-check.m4, gnome-pilot.m4, gnome-xml-check.m4: synced
	  with cvs.gnome.org's &macros

2000-11-08 Wednesday 23:48  Herbert Valerio Riedel <hvr@gnu.org>

	* frontends/: .cvsignore, Makefile.am, cli/.cvsignore,
	  cli/Makefile.am, cli/vcdimager.1, cli/vcdimager.c,
	  cli/vcdimager.texi, cli/vcdrip.c, gnome/.cvsignore,
	  gnome/Makefile.am, gnome/macros/Makefile.am,
	  gnome/macros/aclocal-include.m4, gnome/macros/autogen.sh,
	  gnome/macros/compiler-flags.m4, gnome/macros/curses.m4,
	  gnome/macros/gnome-bonobo-check.m4, gnome/macros/gnome-common.m4,
	  gnome/macros/gnome-cxx-check.m4, gnome/macros/gnome-fileutils.m4,
	  gnome/macros/gnome-gettext.m4, gnome/macros/gnome-ghttp-check.m4,
	  gnome/macros/gnome-gnomemm-check.m4,
	  gnome/macros/gnome-gnorba-check.m4,
	  gnome/macros/gnome-guile-checks.m4,
	  gnome/macros/gnome-libgtop-check.m4,
	  gnome/macros/gnome-objc-checks.m4,
	  gnome/macros/gnome-orbit-check.m4, gnome/macros/gnome-pilot.m4,
	  gnome/macros/gnome-print-check.m4,
	  gnome/macros/gnome-pthread-check.m4,
	  gnome/macros/gnome-support.m4, gnome/macros/gnome-undelfs.m4,
	  gnome/macros/gnome-vfs.m4, gnome/macros/gnome-x-checks.m4,
	  gnome/macros/gnome-xml-check.m4, gnome/macros/gnome.m4,
	  gnome/macros/gperf-check.m4, gnome/macros/linger.m4,
	  gnome/macros/need-declaration.m4, gnome/src/.cvsignore,
	  gnome/src/GVCDImager.glade, gnome/src/GVCDImager.hh,
	  gnome/src/GVCDImagerApp.cc, gnome/src/GVCDImagerApp.hh,
	  gnome/src/GladeHelper.hh, gnome/src/Makefile.am,
	  gnome/src/main.cc: imported /frontends tree

2000-11-07 Tuesday 15:37  Herbert Valerio Riedel <hvr@gnu.org>

	* .cvsignore, AUTHORS, COPYING, Makefile.am, NEWS, README, THANKS,
	  TODO, autogen.sh, configure.in, vcdimager.spec.in: importing top
	  level directory

2000-11-07 Tuesday 11:32  Herbert Valerio Riedel <hvr@gnu.org>

	* README: just a test

